v11.1
+ Update the Feature "Integrate Windows Language Packs" with better support for Windows 10 Client/Server v1909/v20H2 Source OS.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 10/Server 2016/2019) for MSMG ToolKit with .NET 4.8 Update (10.0.1.3310) (Thanks to MDL Member : abbodi1406).
+ Added the Microsoft .NET 5.0.1 Pack (Windows 7/8.1) for MSMG ToolKit.
+ Updated Microsoft DaRT Pack (Windows 10) for MSMG ToolKit with newer Windows 10 v2004/V20H2 Debug Tools.
+ Updated the Feature "Integrate WHD Updates" to Integrate Windows Feature Experience Pack Update to Windows 10 Source OS.
+ Updated the Feature "Remove Windows Component" with support for selecting and removing multiple components at once.
+ Optimized the ToolKit code for "Remove Windows Component" Feature (Thanks to MDL Member : RaiyvaN).
+ Updated the Feature "Apply & Save Changes to the Source Images" to cleanup registry logs and backup files.
+ Fixed Typo Errors (Thanks to MDL Members : RaiyvaN, graver.x, bou7a).

v11.0
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20279.1) Tools.
+ Updated ToolKit's Bin folder with 7-zip v20.02 Command-line Binaries.
+ Updated ToolKit's Bin folder with NSudo v8.0.1.0 Binaries.
+ Updated ToolKit's Bin folder with WimLib-Imagex v1.13.3 Binaries.
+ Optimized the ToolKit code for "Select Source from DVD" (Thanks to MDL Member : RaiyvaN).
+ Updated the ToolKit to return to it's parent menu instead of Main menu at the end of each operation.
+ Added a Feature "Integrate Microsoft .NET 5".
+ Added the Microsoft .NET 5.0.1 Pack (Windows 10) for MSMG ToolKit.
+ Updated the Microsoft Edge Chromium Browser Pack for MSMG ToolKit with updated Microsoft Edge Chromium Group Policy Definitions files.
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit with VC++ 2019 v14.28.29617.0 Runtime (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate WHD Updates" to support updated Feature Enablement Pack for Windows 10 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1809 (v10.0.17763.1637) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.1256/v10.0.18363.1256) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.685/v10.0.19042.685) Source OS.
+ Fixed Typo Errors (Thanks to MDL Members : RaiyvaN and 正义羊).

v10.9
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20262.1) Tools.
+ Fixed a Bug in the Feature "Convert Windows MCT to WIM Image", where the option to select the Index was not displayed.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4585205 (4.8.4290.2) (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate Microsoft Edge Chromium Browser" to use Microsoft Edge Chromium Installer CAB files.
+ Updated the Feature "Integrate Microsoft Edge Chromium Browser" to integrate Microsoft Edge Chromium Group Policy Definitions files.
+ Updated the Microsoft Edge Chromium Browser Pack (Windows 7/8.1/Windows 10 v1803/v1809/v1903/v1909/v2004/v20H2) for MSMG ToolKit.
+ Added a Feature "Integrate Windows PowerShell 7.1".
+ Added the Microsoft Windows PowerShell 7.1 Pack (Windows 7/Windows 8.1/Windows 10) for MSMG ToolKit.
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where the Integration to Recovery image failed with errors  (Thanks to MDL Member : Enthousiast).
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit with VC++ 2019 v14.28.29515.1 Runtime (Thanks to MDL Member : abbodi1406).
+ Fixed a Bug in the Feature "Remove Windows Component" where the component removal by component category was not working.
+ Fixed a Bug in the Feature "Remove Windows Component" where the MultiPoint Connector component removal was giving error for Windows 10 Client v1903/v1909 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1809 (v10.0.17763.1577) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.1198/v10.0.18363.1198) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.630/v10.0.19042.630) Source OS.
+ Updated the Feature "Import Custom Start Menu Layout from XML" with new Default Layout Template XML (Thanks to MDL Members : Feartamixg).
+ Optimized the ToolKit code for "Clean-up Source Images" Feature (Thanks to MDL Member : RaiyvaN).
+ Optimized the ToolKit code for "Apply & Save Changes to the Source Images" Feature (Thanks to MDL Member : RaiyvaN).
+ Updated the Feature "Apply & Save Changes to the Source Images" with an option to Trim unselected Source Image Indexes.
+ Optimized the ToolKit code for "Discard Changes & Unmount Source Images" Feature (Thanks to MDL Member : RaiyvaN).
* Merged the Feature "Rebuild Source Images" with "Apply & Save Changes to the Source Images" Feature.
+ Fixed Duplicate code modules (Thanks to MDL Member : RaiyvaN).

v10.8
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20246.1) Tools.
+ Fixed a Bug in the Feature "Convert Windows Store ESD to WIM Image", where the ToolKit failed to process ESD to WIM Conversion.
+ Fixed a Bug in the Feature "Convert Windows ESD to WIM Image", where the ToolKit failed to process ESD to WIM Conversion.
- Remvoed the Convert Menu from Main Menu as it was missing the proper order of Toolkit functioning.
> Moved the menu items Convert Store ESD, MCT and Custom ESD to Source Menu as below

[5]   Extract Source from Store ESD Image
[6]   Extract Source from Media Creation Tool Image
[7]   Extract Source from Custom Windows ESD Image

> Moved the menu item Convert ESD to WIM to Tools->WIM Manager menu as Convert.
+ Optimized the ToolKit code for "Integrate WHD Updates" Feature (Thanks to MDL Member : RaiyvaN).
+ Updated the Feature "Remove Windows Component" to support removing Edge Chromium and Windows Apps for Windows 10 Store ESD Source OS Images.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.572/610/v10.0.19042.572/610) Source OS.
+ Fixed Typo Errors (Thanks to MDL Members : RaiyvaN).

v10.7
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20241.1000) Tools.
+ Updated the TooKit to support Random Multi-Index Image servicing.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4578977 (4.8.4261.2) (Thanks to MDL Member : abbodi1406).
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit with VC++ 2019 v14.28.29325.0 Runtime (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate WHD Updates" to Integrate Windows Defender Definition Updates to Windows 10 Source OS.
+ Updated the Feature "Integrate WHD Updates" with option to skip integrating Edge Chromium with Feature Enablement Pack integration for Windows 10 Source OS.
+ Updated the Feature "Remove Windows Component" to cleanup left-over resource entries for Windows 10 Multilingual Source OS Images.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1809 (v10.0.17763.1554) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.1171/v10.0.18363.1171) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.608/v10.0.19042.608) Source OS.
+ Optimized the ToolKit code for "Remove Windows Component" Feature (Thanks to MDL Member : RaiyvaN).
+ Updated the Feature "WIM Manager" to support Exporting Random Multi-Indexes.
+ Fixed Typo Errors (Thanks to MDL Members : RaiyvaN and 正义羊).

v10.6
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20226.1000) Tools.
+ Updated the Feature "Integrate WHD Update Pack" to update the Image Version and Build information for Windows 10 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1809 (v10.0.17763.1490) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.1110/v10.0.18363.1110) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.546/v10.0.19042.546) Source OS.
+ Updated the Feature "Apply Tweaks" with updates for Disable Windows Upgrade Tweak.
+ Updated the Feature "Apply Tweaks" with Tweak to Disable showing Windows Defender Notification and System Tray Icon.
+ Fixed Typo Errors (Thanks to MDL Member : 正义羊).

v10.5
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20211.1000) Tools.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4576487 (4.8.4240.2) (Thanks to MDL Member : abbodi1406).
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit with VC++ 2019 v14.28.29213.0 Runtime (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1809 (v10.0.17763.1457) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.1082/v10.0.18363.1082) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.508/v10.0.19042.508) Source OS.
+ Updated the Feature "Apply Tweaks" with Tweak to Disable Windows SmartScreen.
+ Fixed Typo Errors.

v10.4
+ Fixed a Bug in the Feature "Select Source from DVD", where the condition failed to check whether the entered index is greater than the total of indexes in the image. 
+ Fixed a Bug in the Feature "Integrate Windows PowerShell 7.0", where the Toolkit failed to import registry setting.
+ Fixed a Bug in the Feature "Remove Windows Component", where the Remove Apps/Components using list was not displayed properly for Windows 8.1/Windows 10 v1507/v1511/v1607/v1703/v1709/v1803 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.487/v10.0.19042.487) Source OS.
+ Fixed Typo Errors (Thanks to MDL Member : 正义羊).

v10.3
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20190.1000) Tools.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4569754 (4.8.4210.6) (Thanks to MDL Member : abbodi1406).
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit with VC++ 2019 v14.28.29115.0 Runtime (Thanks to MDL Member : abbodi1406).
+ Fixed a Bug in the Feature "Integrate Windows PowerShell 7.0", where the Toolkit imported a wrong registry file for Windows 8.1/10 Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Windows Firewall System Component for Windows 10 Client v1809/v1903/v1909/v2004/v20H2 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.1049/v10.0.18363.1049) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.450/v10.0.19042.450) Source OS.
+ Fixed Typo Errors (Thanks to MDL Member : 正义羊).

v10.2
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.20175.1000) Tools.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4565636 (4.8.4190.2) (Thanks to MDL Member : abbodi1406).
+ Updated the Microsoft Edge Chromium Browser Pack (Windows 7/8.1/Windows 10) for MSMG ToolKit to v84.0.522.44.
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit with VC++ 2019 v14.27.29016.0 Runtime (Thanks to MDL Member : abbodi1406).
+ Added a Feature "Integrate Windows PowerShell 7.0".
+ Added the Microsoft Windows PowerShell 7.0.2 Pack (Windows 7) for MSMG ToolKit.
+ Added the Microsoft Windows PowerShell 7.0.3 Pack (Windows 8.1/Windows 10) for MSMG ToolKit.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Optimized the code for "Remove Windows Component" Feature.
+ Fixed a Bug in the Feature "Remove Windows Component" where removing Windows Backup was breaking Wordpad Shortcut for Windows 10 Client v1809/v1903/v1909/v2004/v20H2 Source OS.
+ Updated the Feature "Remove Windows Component" to support removing CallingshellApp System App for Windows 10 Client v1903/v1909/v2004/v20H2 Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Edge Chromium Browser for Windows 10 Client v20H2 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1903/v1909 (v10.0.18362.997/v10.0.18363.997) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.421/v10.0.19042.421) Source OS.
+ Optimized the code for "Apply Tweaks" Feature.

v10.1
+ Added support for Windows 10 20H2 v20H2 (v10.0.19042) Source OS.
+ Added Features List Templates for each supported Source OS inside ToolKit's <Bin\Lists> folder.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4552921 (4.8.4180.13) (Thanks to MDL Member : abbodi1406).
+ Updated the Microsoft Edge Chromium Browser Pack (Windows 7/8.1/Windows 10) for MSMG ToolKit to v83.0.478.45.
+ Updated the Feature "Integrate Visual C++ Runtime" for W7-W10/Server 2008R2-Server v20H2 Source OS.
+ Updated the Microsoft Visual C++ Runtime Pack for MSMG ToolKit (Thanks to MDL Member : abbodi1406).
+ Added option to ToolKit's component removal program ToolKitHelper to accept more than one component names to remove at once.
+ Added option to ToolKit's component removal program ToolKitHelper to remove all the components specified in a package removal list file.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1909 (v10.0.18363.904) Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v2004/v20H2 (v10.0.19041.331/v10.0.19042.331) Source OS.
+ Fixed Typo Errors (Thanks to MDL Member : 正义羊 and xlincn).

v10.0
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.19624.1000) Tools.
+ Added separate Component Removal Package List Templates for each supported Source OS inside ToolKit's <Bin\Lists> folder.
- Removed Microsoft Visual C++ Runtime Pack (Windows 10) for MSMG ToolKit due to a bug.
+ Updated the Feature "Remove Windows Component" to support removing the below components for Windows 10 Client v2004 Source OS.

Internet
Multimedia
Privacy

+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1909 (v10.0.18363.836) Source OS.
+ Updated the Feature "Remove Windows Component" to support removing the below components for Windows 10 Client v2004 (v10.0.19041.264) Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component" where Start Menu Search was not working properly when removing Cortana App for Windows 10 Client v2004 Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component" where Settings App -> Search settings was not applied when removing Cortana App for Windows 10 Client v2004 Source OS.
+ Fixed Typo Errors (Thanks to MDL Member : 正义羊).

v9.9
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.19613.1000) Tools.
+ Added the below new Components to the Feature "Remove Windows Component" under System Category.

Easy Transfer
File History
Steps Recorder
Windows Backup
Wordpad

+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1909 (v10.0.18363.815) Source OS.
+ Updated the Feature "Remove Windows Component" to support removing the below components for Windows 10 Client v2004 (v10.0.19041.208) Source OS.

Remoting
System
System Apps

+ Fixed Typo Errors (Thanks to MDL Member : 正义羊).

v9.8
+ Fixed a Bug in the Remove Windows Components-> Windows Apps-1 Menu items choice selection.
+ Fixed a Bug in the Feature "Remove Windows Components", where the Component Removal was not working with non en-US source images.

v9.7
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.19592.1000) Tools.
+ Fixed bugs in the Integrate Windows Features Menu choice items.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1909 (v10.0.18363.753) Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Windows Apps for Windows 10 Client v2004 (v10.0.19041.172) Source OS.
+ Fixed Typo Errors and Optimized ToolKit Code (Thanks to MDL Member Kenafri).

v9.6
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.19546.1000) Tools.
+ Updated ToolKit's Bin folder with NSudo v8.0 Binaries.
+ Updated ToolKit to support Windows 10 Client/Server v2004 (v10.0.19041.1) Source OS.
+ Updated the Feature "Integrate Windows Language Packs" to support Windows 10 Client/Server v2004 Source OS.
+ Updated the Feature "Integrate Microsoft .NET Framework 3.5" to support Windows 10 v2004 Source OS.
+ Added Microsoft .NET Framework 3.5 Pack for MSMG ToolKit for Windows 10 v2004 Source OS.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with .NET 4.8 Rollup Update KB4532941 (4.8.4115.0) (Thanks to MDL Member : abbodi1406).
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 8.1/Server 2012 R2) for MSMG ToolKit with refreshed .NET Framework 4.8 Update.
+ Updated the Feature "Integrate Microsoft Edge" to support Windows 10 v2004 Source OS.
+ Updated the Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 v1903/v1909 - Edge Browser MUI CAB files (Thanks to MDL Member: Enthousiast).
+ Added the Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 v2004 - Edge Browser Base and MUI CAB files.
+ Added a Feature "Integrate Microsoft Edge Chromium Browser".
+ Added the Microsoft Edge Chromium Browser Pack (Windows 7/8.1/Windows 10) for MSMG ToolKit.
+ Updated the Feature "Integrate Windows Deduplication" to support Windows 10 v2004 Source OS.
+ Updated the Microsoft Windows Deduplication Pack for MSMG ToolKit with Windows Server v1809 - Windows Deduplication MUI CAB files.
+ Updated the Microsoft Windows Deduplication Pack for MSMG ToolKit with Windows Server v1903/v1909 - Windows Deduplication MUI CAB files.
+ Updated the Feature "Microsoft Windows Accessibility Braille" to support Windows 10 v2004 Source OS.
+ Added the Microsoft Windows Accessibility Braille Pack for MSMG ToolKit with Windows 10 v2004 - Windows Accessibility Braille CAB files.
+ Updated the Feature "Open Secure Shell (SSH)" to support Windows 10 v2004 Source OS.
+ Added the Open Secure Shell (SSH) Pack for MSMG ToolKit with Windows 10 v2004 - Open Secure Shell (SSH) Client & Server CAB files.
+ Updated the Microsoft Windows To Go Pack for MSMG ToolKit with Windows 10 v1903/v1909 - Windows To Go Pack MUI CAB files (Thanks to MDL Member: Enthousiast).
+ Updated the Feature "Integrate Multimedia Restricted Codecs" to support Windows Server v2004 Source OS.
+ Updated the Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 v1903/v1909 - Multimedia Restricted Codecs MUI CAB files (Thanks to MDL Member: Enthousiast).
+ Added the Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 v2004 - Multimedia Restricted Codecs Base and MUI CAB files.
+ Updated the Feature "Integrate Windows Subsystem for Linux (WSL)" to support Windows Server v2004 Source OS.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 v1903/v1909 - Windows Subsystem for Linux (WSL) MUI CAB files (Thanks to MDL Member: Enthousiast).
+ Added the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 v2004 - Windows Subsystem for Linux (WSL) Base and MUI CAB files.
+ Updated the Feature "Integrate Microsoft Windows Media Feature Pack" to support Windows 10 v2004 Source OS.
+ Updated the Feature "Integrate Windows Portable Devices" for Windows 10 v2004 'N' Editions Source OS.
+ Updated the Windows Portable Devices Pack for MSMG ToolKit with Windows 10 v1903/v1909 - Portable Devices MUI CAB files (Thanks to MDL Member: Enthousiast).
+ Updated the Windows Portable Devices Pack for MSMG ToolKit with Windows 10 v2004 - Portable Devices Base and MUI CAB files.
+ Updated the Default Metro Apps Pack for MSMG TooKit with latest Basic Apps and Dependency Appx files.
+ Updated the Feature "Integrate Microsoft DaRT Tools" to support Windows 10 v2004 Source OS.
+ Updated Microsoft DaRT Pack (Windows 10) for MSMG ToolKit with Windows 10 v2004 (v10.0.19041.1) Debug Tools.
+ Fixed a Bug in the DirectX 9.0c Pack registry settings containing some Invalid entries (Thanks to MDL Member: shyamsundarsoni).
+ Updated the Microsoft Visual C++ Runtime Pack (Windows 10) for MSMG ToolKit (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Fixed a Bug in the Feature "Integrate WHD Updates", where integrating Windows Setup Source DVD updates would also integrate non Setup locale folders (Thanks to MDL Member: Feartamixg).
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1909 (v10.0.18363.693) Source OS.

v9.5
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.18999.1000) Tools.
+ Updated the ToolKit to support Windows 10 Client/Server v1909 Source OS.
+ Fixed a Bug in the Feature "Integrate Windows Deduplication", where the Windows File Server (fssmres.dll) registry fixes failed to apply.
+ Updated the Default Metro Apps Pack for MSMG TooKit with latest Basic Apps and Dependency Appx files.
+ Updated the Feature "Microsoft Windows Sidebar" to support adding 3rd party Gadgets (Thanks to MDL Member: LupusRex).
+ Updated the "Microsoft Windows Sidebar" Pack for MSMG ToolKit (Thanks to MDL Member: LupusRex).
+ Fixed a Bug in the Feature "Remove Windows Component", where the Component removal would skip removing a few components when all Privacy related components are removed.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Client v1909 (v10.0.18363.418) Source OS (Thanks to MDL Member: Enthousiast).
+ Fixed Typo Errors and Misplaced Text (Thanks to MDL Member : 正义羊).

v9.4.2
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.18975.1000) Tools.
+ Updated ToolKit's Bin folder with 7-zip v19.2.0.0 Command-line Binaries.
+ Updated ToolKit's Bin folder with NSudo v7.0.1904.3 Binaries.
+ Updated ToolKit's Bin folder with WimLib-Imagex v1.13.1 Binaries.
+ Added Place Holders for ToolKit Packs folders.
+ Refreshed Microsoft .NET Framework 4.8 Pack for MSMG ToolKit with new .NET Framework 4.8 Language Packs cab files (Thanks to MDL Member : abbodi1406).
+ Added a Feature "Enable Windows Features using Features List" under Customize Menu.
+ Added a Feature "Disable Windows Features using Features List" under Customize Menu.
+ Added Remove Components Edition Compatibility Information in RemovePkgsList_W10_Template.txt file.
+ Fixed Typo Errors and Misplaced Text (Thanks to MDL Member : 正义羊).

v9.4.1
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.18970.1000) Tools.
> Moved Custom Activation Tokens, Files, Recovery, Registry, Terminal Server, UxTheme feature folders to ToolKit's Custom folder.
+ Fixed a Bug in the Feature "Remove Windows Component Using Package List", where the ToolKit couldn't process the Package List.
+ Fixed a Bug in the Feature "Import Custom Registry Setting from Registry File", where the import failed with filenames containing spaces.

v9.4
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.18963.1000) Tools.
+ Separated ToolKit's Pack folder from ToolKit main archive.
+ Re-Organized ToolKit's file/folder structure.
+ Fixed a Bug in the Feature "Convert Windows Store ESD to WIM Image", where the ToolKit failed to process single edition images.
+ Updated the Feature "Integrate Windows Language Packs" to support Windows 8.1 RT (ARM) Source Images.
+ Added the Microsoft Windows Language Packs (Windows 8.1 RT (ARM)) for MSMG ToolKit.
+ Updated the Feature "Integrate Windows Drivers" to support Windows 8.1 RT (ARM) Source Images.
+ Updated the Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with KB4511525 Update (Thanks to MDL Member : abbodi1406).
+ Added the Microsoft .NET Framework 4.8 Pack (Windows 8.1 RT (ARM)) for MSMG ToolKit.
+ Updated the Feature "Integrate Default Metro Apps" to support Windows 10 v1903 Source OS.
+ Updated the Default Metro Apps Pack for MSMG TooKit with Windows 10 v1903 Dependency Appx and License XML files.
+ Updated the Feature "Integrate Microsoft Games" to support Windows 10 v1809 and v1903 Source OS.
+ Fixed and Re-Added Microsoft Games Pack for MSMG ToolKit (Thanks to MDL Member: Kenafri).
+ Updated the "Microsoft Windows Sidebar" Pack for MSMG ToolKit (Thanks to MDL Member: Kenafri).
+ Added a Feature "Integrate Visual C++ Runtime" for W7-W10 /Server 2008R2-Server v19H1 Source OS.
+ Added the Microsoft Visual C++ Runtime Pack for MSMG ToolKit (Thanks to MDL Member : abbodi1406).
> Moved WHD Updates Pack folder from ToolKit's Packs folder to ToolKit's Root folder.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Re-Organized ToolKit's Remove Windows Components Menu Items into new categories.

.. Internet
.. Multimedia
.. Privacy
.. Remoting
.. System
.. SystemApps
.. WindowsApps

+ Updated the Feature "Remove Windows Component" to Remove Components more in-depth for Windows 10 v1809 Source OS.
+ Updated the Feature "Remove Windows Component" to remove the below new components for for Windows 10 v1809 & v1903 Source OS.

.. Speech Recognition
.. Picture Password
.. Pin Enrollment (Pin-SignIn support)
.. WiFi Network Manager (WiFi Sense)
.. Windows Insider Hub
.. Security Center
.. Win32 WebView Host
 
+ Updated the Feature "Remove Windows Component" to support removing the below components for Windows 10 v1903 Source OS.

.. Internet
.. Multimedia
.. Privacy
.. Remoting
.. System
.. SystemApps

+ Added a Feature "Import Custom Registry Setting from Registry File" under Customize Menu (Thanks to MDL Member : cuzzon).

v9.3.2
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.18898.1000) Tools.
+ Fixed a Bug in the Feature "Integrate Language Packs" Where the extraction of Localized Resource files failed for Windows 10 v1607 Client/Server Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Narrator Quick Start System App for Windows 10 v1809 Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Windows Apps for Windows 10 v1903 (v10.0.18362.30) Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component Using Package List" where the Toolkit failed to parse the ToolkitHelper.exe component name if more than one '_' present.

v9.3.1
+ Fixed a Bug in the Feature "Integrate Windows Features", where the Menu Choices where incorrectly displayed.
+ Fixed a Bug in the Feature "Integrate WHD Update Pack", where the Menu Choices where not working.
+ Fixed a Bug in the Feature "Integrate WHD Update Pack", where the .NET Cumulative integration was skipped due to conditional check failure.

v9.3
+ Updated ToolKit's Bin folder with Windows 10 20H1 Insider Preview WADK (v10.0.18890.1000) Tools.
+ Fixed a Bug in the ToolKit, where selecting a Windows Server Source Image would terminate the ToolKit.
+ Updated the ToolKit to support Windows 10 Client/Server v1903 Source OS.
+ Fixed a Bug in the Feature "Integrate Language Packs" Where the extraction of Localized Resource files failed for Windows 10 Client/Server Non-English Source OS.
+ Updated the Feature "Integrate Language Packs" to support Windows 10 Client/Server v1903 Source OS.
+ Updated the Feature "Integrate Microsoft .NET Framework 3.5" to support Windows 10 Client/Server v1903 Source OS.
+ Added Microsoft .NET Framework 3.5 Pack for MSMG ToolKit for Windows 10 v1903 Source OS.
+ Added a Feature "Integrate Microsoft .NET Framework 4.8" for Windows 7/ThinPC/Server 2008R2, Windows 8.1/Server 2012R2, Windows 10 v1607/v1703/v1709/v1803/v1809, Windows Server 2016/v1703/v1709/v1803/Server 2019/v1809 Source OS.
+ Added Microsoft .NET Framework 4.8 Pack (Windows 7/Server 2008R2/Windows 8.1/Server 2012R2, Windows 10 v1607/v1703/v1709/v1803/v1809, Windows Server 2016/v1703/v1709/v1803/Server 2019/v1809) for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft Edge" to support Windows 10 v1903 Source OS.
+ Updated the Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 v1903 - Edge Browser Base + en-US CAB files.
+ Updated the Feature "Integrate Windows Deduplication" to support Windows 10 v1903 Source OS.
+ Updated the Microsoft Windows Deduplication Pack for MSMG ToolKit with Windows Server v1903 - Windows Deduplication Base + en-US CAB files.
+ Updated the Feature "Microsoft Windows Accessibility Braille" to support Windows 10 v1903 Source OS.
+ Updated the Microsoft Windows Accessibility Braille Pack for MSMG ToolKit with Windows 10 v1903 - Windows Accessibility Braille CAB files.
+ Updated the Feature "Open Secure Shell (SSH)" to support Windows 10 v1903 Source OS.
+ Updated the Open Secure Shell (SSH) Pack for MSMG ToolKit with Windows 10 v1903 - Open Secure Shell (SSH) Client & Server CAB files.
+ Updated the Feature "Integrate Windows To Go" to support Windows 10 v1903 Source OS.
+ Updated the Microsoft Windows To Go Pack for MSMG ToolKit with Windows 10 v1903 - Windows To Go Pack Base + en-US CAB files.
+ Updated the Feature "Integrate Multimedia Restricted Codecs" to support Windows Server v1903 Source OS.
+ Updated the Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 v1903 - Multimedia Restricted Codecs Base + en-US CAB files.
+ Updated the Feature "Integrate Windows Portable Devices" for Windows 10 v1903 'N' Editions Source OS.
+ Updated the Windows Portable Devices Pack for MSMG ToolKit with Windows 10 v1903 - Portable Devices Base + en-US CAB files.
+ Updated the Feature "Integrate Windows Subsystem for Linux (WSL)" to support Windows Server v1903 Source OS.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 v1903 - Windows Subsystem for Linux (WSL) Base + en-US CAB files.
+ Updated the Feature "Integrate Microsoft Windows Media Feature Pack" to support Windows 10 v1903 Source OS.
+ Added Microsoft Windows Media Feature Pack (Windows 10 v1903) for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft DaRT Tools" to support Windows 10 Client/Server v1903 Source OS.
+ Updated Microsoft DaRT Pack (Windows 10) for MSMG ToolKit with Windows 10 v1903 (v10.0.18362.1) Debug Tools.
+ Fixed Filesystem ACL Issues with Microsoft DaRT Pack for MSMG ToolKit.
+ Updated the Feature "Integrate WHD Update Pack" with Cumulative Update Integration fix for Windows 10 v1507 Source OS (Thanks to MDL Member: abbodi1406).
+ Added a Sub Menu to the Feature "Integrate WHD Update Pack" to Integrate Updates to Windows Setup Install Image.
+ Updated the Feature "Integrate WHD Update Pack" to Integrate Updates to Windows Setup Install Image.
+ Fixed Filesystem ACL Issues with Windows Media Center Generic Tokens Pack for MSMG ToolKit.
+ Fixed Bugs in the Feature "Remove Windows Component" related to shared components removal for Windows 10 v1809 Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component", where Windows Setup would fail when removing all components for Windows 10 v1809 64-bit Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component", where Windows Setup would fail when integrating Cumulative Update after the component removal for Windows 10 v1809 Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component", where Removing Edge Browser App would remove Windows To Go instead of Windows Reader (PDF) for Windows 10 v1809 Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Camera Barcode Scanner and Eye Control System Apps for Windows 10 v1809 Source OS.
+ Updated the Feature "Remove Windows Component" to support removing Windows Apps for Windows 10 v1903 Source OS.
+ Updated the Feature "Remove Windows Component Using Package List" to support ToolkitHelper.exe method for Windows 10 v1809/v1903 Source OS.
+ Updated the Feature "Apply Tweaks" with Improvements to Disable Cortana, Disable Automatic Drivers Install, Disable Automatic Windows Upgrade Tweaks.
+ Added a Tweak "Disable Windows Defender" under Customize->Tweaks Menu.
+ Added a Tweak "Disable Windows Update" under Customize->Tweaks Menu.
+ Added a Tweak "Disable Microsoft Reserved Storage Space for Windows Updates" under Customize->Tweaks Menu.
+ Updated the Feature "WIM Manager->Convert Edition" to support Windows 10 Client/Server v1903 Source OS.

v9.2
+ Updated ToolKit's Bin folder with Windows 10 Insider Preview WADK (v10.0.18356.1) Tools.
+ Updated ToolKit's Bin folder with 7-zip Command-line Latest Version.
+ Fixed a Bug in the Feature "Integrate Windows Language Packs", where the WinPE-Setup-Server-Package was added for Integration instead of WinPE-Setup-Server-Package for Windows Server 2008 R2 Source OS.
+ Updated the Feature "Integrate WHD Update Pack" with Cumulative Update Integration Fix for Windows 10 Redstone 1 x86 Source OS (Thanks to MDL Member: abbodi1406).
+ Updated the Feature "Remove Windows Component" to support Windows 10 Redstone 5 Source OS All Languages  (Thanks to MDL Member: kusosaito).
+ Updated the Feature "Remove Windows Component" to Remove "FaceRecognition", "GameExplorer", "LocationService" Components for Windows 10 Redstone 5 Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component", where SFC /SCANNOW generated errors for some Component Removals.
+ Fixed a Bug in the Feature "Remove Windows Component", where Removing Internet Explorer broke Setting Default Browser App in Settings->Default Apps Section.

v9.1
+ Updated ToolKit's Bin folder with Windows 10 Insider Preview WADK (v10.0.18309.1000) Tools.
+ Updated ToolKit's Bin folder with 7-zip Command-line Latest Version.
+ Updated ToolKit's Bin folder with NSudo Latest Version.
+ Fixed Bugs in the Feature "Integrate Language Packs" related to Languages Features Pack Integration and Extraction of Localized Resource files.
+ Added the Microsoft Windows Language Packs for MSMG ToolKit with Windows 10 Redstone 5/Server 2019/Server v1809 Language Packs CAB Files (Thanks to MDL Members: roedel, windows builder).
+ Added Microsoft .NET Framework 3.5 Pack for MSMG ToolKit for Windows 10 Redstone 5 Source OS.
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Redstone 10.0.14393.0 Win32Calc Base and MUI Pack files.
+ Updated the Feature "Microsoft Windows Accessibility Braille" to support Windows 10 Redstone 5 Source OS.
+ Updated the Microsoft Windows Accessibility Braille Pack for MSMG ToolKit with Windows 10 Redstone 5 - Windows Accessibility Braille CAB files.
+ Updated the Feature "Open Secure Shell (SSH)" to support Windows 10 Redstone 5 Source OS.
+ Updated the Open Secure Shell (SSH) Pack for MSMG ToolKit with Windows 10 Redstone 5 - Open Secure Shell (SSH) Client & Server CAB files.
+ Fixed a Bug in the Feature "Integrate Default Metro Apps", where the Integration of Dependency Pack files failed for Windows 10 Redstone 5 Source OS.
+ Updated the Microsoft Windows To Go Pack for MSMG ToolKit with Windows 10 Redstone 5 - Windows To Go Base and MUI CAB files.
+ Updated the Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 Redstone 5 - Multimedia Restricted Codecs Base and MUI CAB files.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 Redstone 5 - Windows Subsystem for Linux (WSL) Base and MUI CAB files.
+ Added a Feature "Integrate Windows Portable Devices" for Windows 10 Redstone 5 'N' Editions Source OS.
+ Added the Windows Portable Devices Pack for MSMG ToolKit with Windows 10 Redstone 5 - Portable Devices Base and MUI CAB files.
+ Updated the Feature "Integrate WHD Update Pack" to Integrate .NET Cumulative Update.
+ Updated the Feature "Remove Windows Component" with Merging Edge + EdgeDevTools + WindowsReaderPDF Components removal for Windows 10 Redstone 5 Non LTSC (en-GB/en-US) Editions.
+ Updated the Feature "Remove Windows Component" to Remove Ease of Access Themes, MultiPoint Connector, Windows Mixed Reality for Windows 10 Redstone 5 (en-GB/en-US) Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component", where Removing UnifiedTelemetryClient Component would Break Drivers Install through Windows Update for Windows 10 Redstone 5 (en-GB/en-US) Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component", where Removing AdobeFlashForWindows Component would get Re-Installed through Windows Update for Windows 10 Redstone 5 (en-GB/en-US) Source OS.
+ Added a Tweak "Disable Automatic Windows Upgrade" under Customize->Tweaks Menu.

v9.0
+ Updated ToolKit's Bin folder with NSudo Latest Version.
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to support Windows 10 Threshold 1/2, Redstone 1/2/3/4/5, Server 2016/2019 Source OS.
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Redstone 10.0.14393.0 Win32Calc Base and (en-GB + en-US) Pack files.
+ Updated the Feature "Integrate Default Metro Apps" to support Windows 10 Redstone 5/Server 2019 Source OS.
+ Updated the Default Metro Apps Pack for MSMG TooKit with Windows 10 Redstone 5 Appx files.
+ Updated ToolKitHelper.exe to Disable WinSXS Cleanup to support Microsoft PSFX Update Format for Windows 10 Redstone 5/Server 2019 Source OS.
+ Updated the Feature "Remove Windows Component" with Separate Menus for Windows 10 Redstone 5 Enterprise (N) LSTC 2019 Source OS.
+ Updated the Feature "Remove Windows Component" to Remove more Components for Windows 10 Redstone 5 (en-GB/en-US) Source OS.

Windows Apps
============

  3DViewer                  -  Mixed Reality Viewer App | Depends on: WindowsMixedReality
  AdvertisingXaml           -  Advertising Xaml
  Alarms                    -  Alarms & Clock App
  BingWeather               -  Weather App | Depends on: AdvertisingXaml
  Calculator                -  Calculator App
  Camera                    -  Camera App
  CommunicationsApps        -  Windows Calendar & Mail App | Depends on: AdvertisingXaml
  DesktopAppInstaller       -  Desktop App Installer
  FeedbackHub               -  Feedback Hub App
  GetHelp                   -  Get Help App
  Getstarted                -  Tips App
  HEIFImageExtension        -  HEIF Image Extension Plugin
  Maps                      -  Maps App | Depends on: MapsControl
  Messaging                 -  Messaging App
  MixedRealityPortal        -  Mixed Reality Portal App
  OfficeHub                 -  My Office App
  OfficeOneNote             -  OneNote App
  OneConnect                -  Mobile Plans App
  Paint3D                   -  Paint 3D App
  People                    -  People App | Depends on: PeopleExperienceHost
  Photos                    -  Photos App
  Print3D                   -  Print 3D App
  ScreenSketch              -  Screen Sketch App
  SkypeApp                  -  Skype App
  SolitaireCollection       -  Solitaire Collection App | Depends on: XboxGameCallableUI
  SoundRecorder             -  Voice Recorder App
  StickyNotes               -  Sticky Notes App | Depends on: AdvertisingXaml, Store, XboxGameCallableUI
  VP9VideoExtensions        -  VP9 Video Extensions Plugin
  WalletService             -  Wallet Service App
  WebMediaExtensions        -  Web Media Extensions Plugin
  WebpImageExtensions       -  Webp Image Extensions Plugin
  YourPhone                 -  Your Phone App
  ZuneMusic                 -  Groove Music App
  ZuneVideo                 -  Films & TV App

System Apps
===========

  AADBrokerPlugin           -  AAD Broker Plugin
  AssignedAccessLockApp     -  Assigned Access Lock App
  BioEnrollment             -  Bio Enrollment App
  ContentDeliveryManager    -  Content Delivery Manager
  FileExplorer              -  File Explorer App
  LockApp                   -  Lockscreen App
  MapsControl               -  Maps Control
  OneDrive                  -  OneDrive Desktop Client
  ParentalControls          -  Parental Controls App
  PeopleExperienceHost      -  People Experience Host
  PPIProjection             -  Connect App
  QuickAssist               -  Quick Assist App
  RetailDemoContent         -  Retail Demo Content
  SecureAssessmentBrowser   -  Take Test App
  SettingSync               -  Setting Sync
  SkypeORTC                 -  Skype ORTC

Advanced Windows Components
===========================

  AdobeFlashForWindows      -  Adobe Flash For Windows
  AssignedAccess            -  Assigned Access
  CEIP_SQM                  -  Customer Experience Improvement Program (CEIP)
  Cortana                   -  Cortana, StartMenu & Settings Search App
  DeviceLockdown            -  Device Lockdown (Embedded Experience)
  Edge                      -  Edge Browser App
  EdgeDevToolsClient        -  Edge DevTools Client | Depends on: Edge
  FirstLogonAnimation       -  First Logon Animation
  HomeGroup                 -  HomeGroup
  InternetExplorer          -  Internet Explorer
  KernelDebugging           -  Kernel Debugging | Depends on: WindowsErrorReporting
  Paint                     -  Paint
  RemoteAssistance          -  Remote Assistance
  SmartScreen               -  SmartScreen App
  SnippingTool              -  Snipping Tool
  Store                     -  Microsoft Store App
  SystemRestore             -  System Restore
  UnifiedTelemetryClient    -  Unified Telemetry Client (Asimov) | Depends on: WindowsErrorReporting
  WindowsDefender           -  Windows Defender App
  WindowsErrorReporting     -  Windows Error Reporting
  WindowsMediaPlayer        -  Windows Media Player
  WindowsPhotoViewer        -  Windows Photo Viewer
  WindowsReaderPDF          -  Windows Reader (PDF) | Depends on: Edge
  WindowsSubsystemForLinux  -  Windows Sybsystem For Linux
  WindowsToGo               -  Windows To Go
  WinSAT                    -  Windows System Assessment Tool
  XboxApp                   -  Microsoft Xbox App | Depends on: XboxGameCallableUI
  XboxGameCallableUI        -  Xbox Game Callable UI
  XboxIdentityProvider      -  Xbox Identity Provider | Depends on: XboxApp

v8.9
+ Updated ToolKit's Bin folder with Windows 10 Insider Preview WADK (v10.0.18272.1000) Tools.
+ Updated ToolKit's Bin folder with NSudo Latest Version.
+ Updated the ToolKit to support Windows 10 Redstone 5/Server 2019/Server v1809 Source OS.
+ Updated the Feature "Integrate Language Packs" to support Windows 10 Redstone 5/Server 2019/Server v1809 Source OS.
+ Added the Microsoft Windows Language Packs for MSMG ToolKit with Windows 10 Redstone 5/Server 2019/Server v1809 Language Packs (en-GB + en-US) CAB files.
+ Fixed a Bug in the Feature "Integrate Language Packs", where the Extraction of Localized Resource Files failed.
+ Updated the Feature "Integrate Microsoft .NET Framework 3.5" to support Windows 10 Redstone 5/Server 2019/Server v1809 Source OS.
+ Updated the Feature "Integrate Microsoft Edge" to support Windows 10 Redstone 5 Source OS.
+ Added the Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 Redstone 5 - Edge Browser Base and MUI x64 CAB Files (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate Windows Deduplication" to support Windows 10 Redstone 5 Source OS.
+ Added the Microsoft Windows Deduplication Pack for MSMG ToolKit with Windows 10 Redstone 5 - Windows Deduplication Base and (en-GB + en-US) CAB files.
+ Updated the Feature "Integrate Windows To Go" to support Windows 10 Redstone 5 Source OS.
+ Added the Microsoft Windows To Go Pack for MSMG ToolKit with Windows 10 Redstone 5 - Windows Deduplication Base and (en-GB + en-US) CAB files.
+ Updated the Feature "Integrate Multimedia Restricted Codecs" to support Windows Server 2019 Source OS.
+ Added the Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 Redstone 5 - Multimedia Restricted Codecs Base and (en-GB + en-US) CAB files.
+ Updated the Feature "Integrate Windows Subsystem for Linux (WSL)" to support Windows Server 2019/server v1809 Source OS.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 Redstone 5 - Windows Subsystem for Linux (WSL) Base and (en-GB + en-US) CAB files.
+ Updated the Feature "Integrate Microsoft DaRT Tools" to support Windows 10 Redstone 5/Server 2019/Server v1809 Source OS.
+ Updated Microsoft DaRT Pack (Windows 10 RS5) for MSMG ToolKit with Windows 10 Redstone 5 (10.0.17763.1) Debug Tools.
* Combined the Features "Remove Default Metro Apps" and "Remove Windows Component" into One as "Remove Windows Component".
- Temporarily Removed the Feature "Remove Windows Component" for Windows 7 - Windows 10 Redstone 4 Source OS.
+ Updated the Feature "Remove Windows Component" to Remove the below Components for Windows 10 Redstone 5 (en-GB/en-US) Source OS.

Windows Apps
============

  3DViewer                  -  Mixed Reality Viewer App | Depends on: WindowsMixedReality
  AdvertisingXaml           -  Advertising Xaml
  Alarms                    -  Alarms & Clock App
  BingWeather               -  Weather App | Depends on: AdvertisingXaml
  Calculator                -  Calculator App
  Camera                    -  Camera App
  CommunicationsApps        -  Windows Calendar & Mail App | Depends on: AdvertisingXaml
  DesktopAppInstaller       -  Desktop App Installer
  FeedbackHub               -  Feedback Hub App
  GetHelp                   -  Get Help App
  Getstarted                -  Tips App
* HEIFImageExtension        -  HEIF Image Extension Plugin
  Maps                      -  Maps App | Depends on: MapsControl
  Messaging                 -  Messaging App
  MixedRealityPortal        -  Mixed Reality Portal App
  OfficeHub                 -  My Office App
  OfficeOneNote             -  OneNote App
  OneConnect                -  Mobile Plans App
  Paint3D                   -  Paint 3D App
  People                    -  People App | Depends on: PeopleExperienceHost
  Photos                    -  Photos App
  Print3D                   -  Print 3D App
  ScreenSketch              -  Screen Sketch App
  SkypeApp                  -  Skype App
  SolitaireCollection       -  Solitaire Collection App | Depends on: XboxGameCallableUI
  SoundRecorder             -  Voice Recorder App
  StickyNotes               -  Sticky Notes App | Depends on: AdvertisingXaml, Store, XboxGameCallableUI
  VP9VideoExtensions        -  VP9 Video Extensions Plugin
  WalletService             -  Wallet Service App
  WebMediaExtensions        -  Web Media Extensions Plugin
  WebpImageExtensions       -  Webp Image Extensions Plugin
  YourPhone                 -  Your Phone App
  ZuneMusic                 -  Groove Music App
  ZuneVideo                 -  Films & TV App

System Apps
===========

  AADBrokerPlugin           -  AAD Broker Plugin
  AssignedAccessLockApp     -  Assigned Access Lock App
  BioEnrollment             -  Bio Enrollment App
  ContentDeliveryManager    -  Content Delivery Manager
* Cortana                   -  Cortana, StartMenu & Settings Search App
  Edge                      -  Edge Browser App
  EdgeDevToolsClient        -  Edge DevTools Client | Depends on: Edge
  FileExplorer              -  File Explorer App
  LockApp                   -  Lockscreen App
  MapsControl               -  Maps Control
  OneDrive                  -  OneDrive Desktop Client
  ParentalControls          -  Parental Controls App
  PeopleExperienceHost      -  People Experience Host
  PPIProjection             -  Connect App
  QuickAssist               -  Quick Assist App
  RetailDemoContent         -  Retail Demo Content
  SecureAssessmentBrowser   -  Take Test App
  SettingSync               -  Setting Sync
  SkypeORTC                 -  Skype ORTC
  SmartScreen               -  SmartScreen App
  Store                     -  Microsoft Store App
  WindowsDefender           -  Windows Defender App
  WindowsReaderPDF          -  Windows Reader (PDF) | Depends on: Edge
  XboxApp                   -  Microsoft Xbox App | Depends on: XboxGameCallableUI
  XboxGameCallableUI        -  Xbox Game Callable UI
  XboxIdentityProvider      -  Xbox Identity Provider | Depends on: XboxApp

Advanced Windows Components
===========================

  AdobeFlashForWindows      -  Adobe Flash For Windows
  CEIP_SQM                  -  Customer Experience Improvement Program (CEIP)
  HomeGroup                 -  HomeGroup
  KernelDebugging           -  Kernel Debugging | Depends on: WindowsErrorReporting
  Paint                     -  Paint
  RemoteAssistance          -  Remote Assistance
  SnippingTool              -  Snipping Tool
  SystemRestore             -  System Restore
  UnifiedTelemetryClient    -  Unified Telemetry Client (Asimov) | Depends on: WindowsErrorReporting
  WindowsPhotoViewer        -  Windows Photo Viewer
  WindowsSubsystemForLinux  -  Windows Sybsystem For Linux
  WindowsToGo               -  Windows To Go

* Only For 32-Bit

> Moved and Renamed and Simplified the Feature Convert Edition to Tools->WIM Manager as "Upgrade Edition".
+ Updated Wimscript.ini File with Optimized Exculsion List for Windows 10 Redstone 4/5 Source OS.
+ Optimized ToolKit Code (Thanks to MDL Member Kenafri).

v8.8
+ Updated ToolKit's Bin folder with Windows 10 Redstone 5 Insider Preview WADK (v10.0.17733.1000) Tools.
+ Updated the ToolKit to support Windows 10 Redstone 4 ARM64 Source OS.
+ Updated the ToolKit's Integrate Feature to support Windows 10 Redstone 4 ARM64 Source OS.
+ Added Microsoft .NET Framework 3.5 Pack for MSMG ToolKit for Windows 10 Redstone 4 ARM64 (v10.0.17134.1) Source OS.
+ Added Microsoft .NET Framework 4.7.2 Pack (Windows 7/ThinPC/Server 2008R2) for MSMG ToolKit.
+ Fixed a Bug in the Feature "Remove Windows Component", where the Microsoft Telemetry Component Removal was Skipped for Windows 10 Redstone 3 Source OS.
+ Updated the ToolKit's Remove Feature to support Windows 10 Redstone 4 ARM64 Source OS.
+ Updated the Feature "Remove Windows Component" with Improvements to Windows 10 Redstone 3 and 4 Source OS.

v8.7
+ Updated ToolKit's Bin folder with Windows 10 Redstone 5 Insider Preview WADK (v10.0.17713.1000) Tools.
+ Added a Feature "Integrate Microsoft .NET Framework 4.7.2" for Windows 7/ThinPC/Server 2008R2, Windows 8.1/Server 2012R2, Windows 10 Redstone 1,2,3 /Server 2016/Server v1709 Source OS.
+ Added Microsoft .NET Framework 4.7.2 Pack (Windows 8.1/Server 2012R2, Windows 10 Redstone 1,2,3 /Server 2016/Server v1709) for MSMG ToolKit.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows Server v1803 - Data Deduplication MUI CAB files.
+ Updated the Feature "Integrate Microsoft Edge Browser" to support Windows Server v1803.
+ Updated the Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 Redstone 4 - Edge Browser Base and MUI x64 CAB files.
+ Updated the Feature "Integrate Windows To Go Workspace" to support Windows 10 Redstone 4 Source OS.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Redstone 4 WinToGo Base and MUI x86/x64 CAB files.
+ Updated the Feature "Integrate Microsoft Windows Multimedia Restricted Codecs" to support Windows Server v1803.
+ Updated the Microsoft Windows Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 Redstone 4 - Windows Multimedia Restricted Codecs Base & MUI x64 CAB files.
+ Updated the Feature "Integrate Microsoft Windows System Restore" to support Windows Server v1803.
+ Updated the Microsoft Windows System Restore Pack for MSMG ToolKit with Windows 10 Redstone 4 - Windows System Restore Base & MUI MUI x64 CAB files.
+ Updated the Feature "Integrate Windows Subsystem for Linux (WSL)" to support Windows Server v1803.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 Redstone 4 - Windows Subsystem for Linux (WSL) Base & MUI x64 CAB files.
+ Added a Feature "Integrate Microsoft Office Desktop UWP Apps" for Windows 10 Redstone 4 Source OS. (Thanks to MDL Member : aalanfox2000).
+ Updated the Feature "Integrate WHD Update Pack" to Skip Integrating Microsoft .NET Framework 4.7.2 (KB4054566) for Windows 8.1/Server 2012 R2 Source OS.
+ Added Separate Remove Apps List Templates for each Source OS.
+ Updated the Feature "Remove Windows Component" with Improvements to Windows 10 Redstone 4 Source OS.
+ Updated the Feature "Remove Windows Component" to Remove Microsoft Telemetry Component for Windows 10 Redstone 3 Source OS.
+ Updated the ToolKitHelper.exe to Remove the below Components for Windows 10 Redstone 3 Source OS.

--- Assigned Access Lock App
--- Customer Experience Improvement Program (CEIP)
--- Kernel Debugging
--- Quick Assist App
--- Unified Telemetry Client (Asimov)
--- Windows Error Reporting
--- Xbox Game Callable UI

+ Updated the ToolKitHelper.exe to Remove the below Components for Windows 10 Redstone 4 Source OS.

--- Assigned Access Lock App
--- Bio Enrollment App
--- Customer Experience Improvement Program (CEIP)
--- Content Delivery Manager
--- Cortana App
--- Edge Browser App
--- File Explorer App
--- Holorgraphic First Run App
--- Kernel Debugging
--- Lockscreen App
--- OneDrive Desktop Client
--- Parental Controls App
--- People Experience Host
--- Quick Assist App
--- Connect App
--- Retail Demo Content
--- Take Test App
--- Setting Sync
--- Skype ORTC
--- SmartScreen App
--- Microsoft Store App
--- Unified Telemetry Client (Asimov)
--- Windows Defender App
--- Windows Error Reporting
--- Microsoft Xbox App
--- Xbox Game Callable UI

+ Updated the ToolKitHelper.exe to Remove the below Components for Windows 10 Redstone 4 (en-GB, x86/x64) Source OS.

---  Mixed Reality Viewer App
---  Advertising XAML
---  Alarms & Clock App
---  Weather App
---  Calculator App
---  Camera App
---  Calendar & Mail App
---  Desktop App Installer
---  Feedback Hub App
---  Get Help App
---  Tips App
---  Maps App
---  Messaging App
---  My Office App
---  OneNote App
---  Mobile Plans App
---  Paint 3D App
---  People App
---  Photos App
---  Print 3D App
---  Skype App
---  Solitaire Collection App
---  Voice Recorder App
---  Sticky Notes App
---  Wallet Service App
---  Web Media Extensions App
---  Groove Music App
---  Films & TV App

v8.6
+ Updated ToolKit's Bin folder with Windows 10 Redstone 5 Insider Preview WADK (v10.0.17661.1000) Tools.
+ Replaced the Resource Hacker Binary with the Previous Version in ToolKit's Bin folder to Fix Integration of Metro Skins Bugs.
+ Updated the Feature "Integrate Windows Data Deduplication" to support Windows 10 Redstone 4 Source OS.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows 10 Redstone 4 - Data Deduplication Base & en-US MUI CAB files. (Thanks to MDL Members : abbodi1406, Moderate).

v8.5
+ Fixed a Bug in the Feature "Remove Windows Component", where the Windows Defender Component Removal failed due to an Exception for Windows 10 RS4 Core Editions.

v8.4
+ Updated ToolKit's Bin folder with Windows 10 Redstone 4 WADK (v10.0.17134.1) Tools.
+ Updated ToolKit's Bin folder with 7-zip Command-line Latest Version.
+ Updated ToolKit's Bin folder with Resource Hacker Latest Version.
+ Updated ToolKit to support Windows 10 Redstone 4 (v10.0.17134.1) Source OS.
+ Fixed a Bug in the Feature "Extract Source from DVD ISO Image", where the ToolKit Wrongly Reported Extraction failed When the ISO Image contained a Install.esd Image.
+ Added Windows 10 Redstone 4 (v10.0.17134.1) Language Pack (Win_LP + FOD + WinPE_LP) for MSMG ToolKit.
+ Added Microsoft .NET Framework 3.5 Pack for MSMG ToolKit for Windows 10 Redstone 4 (v10.0.17134.1) Source OS.
+ Added Microsoft Windows Accessibility Braille Pack for MSMG ToolKit for Windows 10 Redstone 4 (v10.0.17134.1) Source OS.
+ Added Microsoft Windows Media Feature Pack for MSMG ToolKit for Windows 10 Redstone 4 (v10.0.17134.1) Source OS.
+ Added Microsoft Remote Server Administration Toolkit (RSAT) (Windows 10 RS4) Pack for MSMG ToolKit.
+ Added Open Secure Shell (SSH) Pack for MSMG ToolKit for Windows 10 Redstone 4 (v10.0.17134.1) Source OS.
+ Updated Microsoft DaRT Pack (Windows 10 RS4) for MSMG ToolKit with Windows 10.0.17134.1 Debug Tools.
+ Updated the Feature "Remove Windows Component" to Remove Microsoft Telemetry, PeopleExperienceHost, Smartscreen, WindowsDefender Components for Windows 10 Redstone 4 Source OS.

v8.3
+ Updated ToolKit's Bin folder with Windows 10 Redstone 4 WADK (v10.0.17133.1) Tools.
+ Updated ToolKit's Bin folder with 7-zip Command-line Latest Version.
+ Updated ToolKit's Bin folder with NSudo Latest Version.
+ Updated ToolKit's Bin folder with Resource Hacker Latest Version.
+ Updated ToolKit to support Windows 10 Redstone 4 Source OS.
+ Updated the Feature "Integrate Windows Features" to support Windows 10 Redstone 4 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Combined Editions Image.
+ Added Windows 10 Redstone 4 Language Pack (Win_LP + FOD + WinPE_LP) for MSMG ToolKit.
+ Added Microsoft .NET Framework 3.5 Pack for MSMG ToolKit for Windows 10 Redstone 4 Source OS.
+ Added Microsoft Windows Accessibility Braille Pack for MSMG ToolKit for Windows 10 Redstone 4 Source OS.
+ Added Microsoft Windows Media Feature Pack for MSMG ToolKit for Windows 10 Redstone 4 Source OS.
+ Added Open Secure Shell (SSH) Pack for MSMG ToolKit for Windows 10 Redstone 4 Source OS.
+ Updated the Feature "Integrate Microsoft DaRT Tools" to Display a Warning Dialog about Microsoft DaRT 8.1/10 Security Concerns.
+ Updated Microsoft DaRT Pack (Windows 10 RS4) for MSMG ToolKit with Windows 10.0.17133.1 Debug Tools.
+ Updated the Feature "Integrate Windows Updates" to Update the Image Information After An Update Is Integrated.
+ Updated the Feature "Integrate WHD Update Pack" to Update the Image Information After An Update Is Integrated.
+ Updated the Feature "Integrate WHD Update Pack" to Skip Integrating Microsoft .NET Framework 4.7.1 (KB4033369) for Windows 8.1/Server 2012 R2 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Redstone 4 Source OS.
+ Updated the Feature "Remove Windows Component" to support Windows 10 Redstone 4 Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component" Where The ToolKit was trying to Remove WOW64 Components for Windows 10 32-Bit Source OS.
+ Updated ToolKitHelper.exe with Better XML Editing for Windows 10 Source OS with Updates Integrated.

v8.2
+ Updated the Feature "Integrate WHD Update Pack" to support Integrating Latest Windows Updates to Windows 10 Threshold 1 (Non-LTSB Edition) Source OS.
+ Updated the Feature "Integrate WHD Update Pack" to support Integrating Latest Windows Updates to Windows 10 Threshold 2 (Non-Education/Non-Enterprise Edition) Source OS.
+ Updated the Feature "Integrate WHD Update Pack" to support Integrating Updates to Windows 10 Pro for Workstations Edition.
+ Updated the ToolKitHelper.exe to Remove More Components for Windows 10 Redstone 3 Source OS.

v8.1
+ Updated ToolKit's Bin folder with Windows 10 Redstone 4 Insider Preview WADK (v10.0.17095.1000) Tools.
+ Updated ToolKit's Bin folder with 7-zip Command-line Latest Version.
+ Updated ToolKit's Bin folder with NSudo Latest Version.
+ Fixed a Bug in the Feature "Convert ESD Image to WIM Image", where the Validation Check was not Working.
+ Fixed a Bug in the Feature "Convert WIM Image to ESD Image", where the Validation Check was not Working.
+ Fixed a Bug in the Feature "Convert WIM Image to ESD Image", where the Conversion was Duplicating the Indexes.
+ Updated the Microsoft .NET Framework 4.7.1 Pack (Windows 8.1/Server 2012R2, Windows 10/Server 2016/Server v1709) for MSMG ToolKit with New Compressed CAB files.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows 10 Redstone 3 - Data Deduplication 38 MUI CAB Files (Thanks to MDL Member: xinso).
+ Fixed a Bug in the Microsoft DirectX 9.0c Pack for MSMG ToolKit, where there was a Typo Error in DirectX 9.0c Pack 32-bit Registry File. (Thanks to MDL Member: George King).
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Redstone 4 Insider Preview Source OS.
+ Fixed a Bug in the Feature "Remove Windows Component" Where Removing Microsoft Telemetry Services Was Breaking the OS Installation at Getting Started Stage for Windows 10 Threshold 2 Source OS.
+ Updated the Feature "Remove Windows Component" with Simplified Order for Hyper-V Removal for Windows 10 Redstone 3 Source OS (Thanks to MDL Member: xinso).
> Moved the Component "Windows People Experience Host" to Remove Advanced Windows Components.
+ Renamed the Component "Microsoft Telemetry Services" to "Windows Content Delivery Manager" to Avoid Confusion for Windows 10 Redstone 3 Source OS Since Only the Windows Content Delivery Manager is Left in that Section for Removal.
+ Updated the Feature "Remove Windows Component" to Remove "Windows Defender, Windows People Experience Host, Windows SmartScreen" Components for All Languages for Windows 10 Redstone 3 Source OS.
+ Updated the Feature "Remove Windows Component" to Un-mount Any Abandoned Image Registry Hives Which Causes Access Denied Errors When Un-mounting the Source Images.
+ Fixed a Bug in the Feature "Copy Source folder to USB Flash Drive", where the Echo Command Text was Corrupted with Garbage Values (Thanks to MDL Member: Spookievision).
+ Fixed a Bug in the Feature "Copy Source folder to USB Flash Drive", where the & was Displayed without the Character Symbol in the Echo Command (Thanks to MDL Member: Spookievision).
+ Updated ToolKit's Debug Information to Show Image Debug Information for Multi-Index Image Service Mode (Thanks to MDL Member: Kenafri).
+ Fixed Several other Bugs (Thanks to MDL Member: Kenafri).

v8.0
+ Updated ToolKit's Bin folder with Windows 10 Redstone 4 Insider Preview WADK (v10.0.17040.1000) Tools.
+ Updated the ToolKit to use Simplified Chinese DOS Code Page when zh-CN HOST OS is Used.
+ Added Better Error Handling for Missing Pack files.
- Removed the support for Servicing Windows 10 Source OS on Windows 7 HOST OS, Due to the DISM Issues.
+ Updated the Feature "Integrate Windows Language Packs" to support Windows 10 Redstone 3 Source OS.
+ Updated the Feature "Integrate Windows Language Packs" to support Windows Server Core Source OS (Thanks to MDL Member: Kenafri).
+ Added Windows 10 Redstone 2 Language Pack (Win_LP + FOD + WinPE_LP) for MSMG ToolKit.
+ Added Windows 10 Redstone 3 Language Pack (Win_LP + FOD + WinPE_LP) for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft .NET Framework 4.6.2" to Integrate to KB4051600 Update for Windows 10 Threshold 1 Source OS.
+ Updated the Feature "Integrate Microsoft .NET Framework 4.6.2" to Integrate to KB4054057 Update for Windows 10 Threshold 2 Source OS.
+ Updated the Microsoft .NET Framework 4.6.2 Pack for MSMG ToolKit with KB4051600, KB4054057 Updates.
+ Added a Feature "Integrate Microsoft .NET Framework 4.7.1" for Windows 7/ThinPC/Server 2008R2, Windows 8.1/Server 2012R2, Windows 10/Server 2016/Server v1709 Source OS.
+ Added Microsoft .NET Framework 4.7.1 Pack (Windows 7/ThinPC/Server 2008R2, Windows 8.1/Server 2012R2, Windows 10/Server 2016/Server v1709) for MSMG ToolKit.
+ Fixed a Bug in the Integrate Menu not Showing Integrate Microsoft Edge and Microsoft .NET Framework 4.7 for Windows 10 Redstone 1 Source OS.
+ Updated the Feature "Integrate Windows Data Deduplication" to Integrate Windows 10 Redstone 3 - Data Deduplication MUI CAB files.
+ Updated the Feature "Integrate Windows Data Deduplication" with Fix for fssmres.dll (Thanks to MDL Member : abbodi1406).
+ Fixed a Bug in the Feature "Integrate Windows Data Deduplication" Where the Validation Check for Windows 10 was Preventing the Deduplication Integration for Windows 8.1 Source OS.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows 10 Redstone 3 - Data Deduplication MUI CAB files.
+ Updated the Feature "Integrate Microsoft Remote Server Administration Toolkit (RSAT)" to support Both Windows 10 v1607 and v1709 RSAT.
+ Updated the Feature "Integrate Microsoft Remote Server Administration Toolkit (RSAT)" to support Multi-Index Integration (Thanks to MDL Member: Kenafri).
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where Re-Entering the Integrate DaRT Tools Menu would Duplicate the DaRT Pack Source Path Variable Value.
+ Fixed a Bug in the Feature "Integrate Microsoft Games" related to Microsoft Game Explorer Shortcut Creation (Thanks to MDL Member: Kenafri).
+ Fixed a Bug in the Feature "Integrate Microsoft Games" related to Microsoft Games Localized Shortcut Creation (Thanks to MDL Member: Kenafri).
+ Fixed a Bug in the Feature "Integrate WHD Update Pack" Where the Validation for IsRecoveryImageSelected was Wrongly Checking for IsBootImageSelected.
+ Updated the Feature "Integrate Custom Default User Account Pictures" with Fix for Server Core Edition (Thanks to MDL Member: Kenafri).
+ Fixed a Bug in the Feature "Integrate Custom Windows Recovery Image" Where the Validation for IsRecoveryImageSelected was Wrongly Checking for IsBootImageSelected (Thanks to MDL Member: Kenafri).
> Moved the Feature "Remove Default Metro Apps Association XML File" to Customize Menu.
> Moved the Xbox Live App (Xbox.TCUI) in the Feature "Remove Default Metro Apps" to Store App, As It's required for Windows Store Apps Repair/Restore Feature in Settings App for Windows 10 Redstone 3 Source OS.
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where Removing All Apps Except Store would Break Windows Store Apps Repair/Restore Feature in Settings App for Windows 10 Redstone 3 Source OS.
+ Updated the Feature "Remove Windows Component" to Remove More WOW64 Sub-Packages for Windows 10 Redstone 3 Source OS.
- Removed the XboxGameCallableUI Component in the Feature "Remove Windows Component", As it's related to Xbox Live App (Xbox.TCUI) for Windows 10 Redstone 3 Source OS.
+ Updated the Feature "Remove Windows Component" to Remove Windows PhotoViewer Component under Remove Advanced Windows Component Menu.
> Moved the Tweak "Enable and Set Windows Photo Viewer As Default Viewer" to Customize->Tweaks Menu.
+ Added a Tweak "Disable Automatic Driver Updates through Windows Update" under Customize->Tweaks Menu.
+ Added a Tweak "Hide Taskbar TaskView Icon" under Customize->Tweaks Menu.
+ Added a Tweak "Force .NET Programs to Use Newest .NET Framework" under Customize->Tweaks Menu.
+ Fixed a Bug in the Feature "WIM Manger->Rename", where Renaming a WIM Image Index would Set the Image Name and Description with a Null String.
+ Removed Loading these Registry Mount Points in ToolKit Script as These Functions are done within the ToolKitHelper.exe.

... [HKEY_LOCAL_MACHINE\TK_COMPONENTS]        -> (%windir%\System32\Config\COMPONENTS)
... [HKEY_LOCAL_MACHINE\TK_DRIVERS]           -> (%windir%\System32\Config\DRIVERS)
... [HKEY_LOCAL_MACHINE\TK_SCHEMA]            -> (%windir%\System32\SMI\Store\Machine\SCHEMA.DAT)

v7.9
+ Fixed Start.cmd would Fail to Run on amd64/x64 HOST OS.

v7.8
+ Updated ToolKit's Bin folder with Windows 10 Redstone 3 RTM WADK (v10.0.16299.15) Tools.
+ Updated ToolKit to Use NSudo to Run As Trusted Installer.
+ Added NSudo Executable to ToolKit's Bin folder.
+ Added ToolKit Helper Program (Windows Component Removal Engine) to ToolKit's Bin folder.
+ Updated the Feature "Integrate Windows Accessibility Braille" to support Windows 10 Redstone 3 Source OS.
+ Updated the Microsoft Windows Accessibility Braille Pack for MSMG ToolKit with Windows 10 Redstone 3 - Windows Accessibility Braille CAB files.
+ Updated the Feature "Integrate Windows Data Deduplication" to support Windows 10 Redstone 3 Source OS.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows 10 Redstone 3 - Data Deduplication Base & en-US MUI CAB files. (Thanks to MDL Members : abbodi1406, Moderate).
+ Added a Feature "Integrate Open Secure Shell (SSH)" for Windows 10 Redstone 3 Source OS.
+ Added Open Secure Shell (SSH) Pack for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft Remote Server Administration Toolkit (RSAT)" to support Windows 10 Redstone 3 Source OS.
+ Updated Microsoft Remote Server Administration Toolkit (RSAT) (Windows 10 RS1) Pack for MSMG ToolKit.
+ Added Microsoft Remote Server Administration Toolkit (RSAT) (Windows 10 RS3) Pack for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft Windows Media Feature Pack" to support Windows 10 Redstone 3 Source OS.
+ Added Microsoft Windows Media Feature Pack (Windows 10 RS3) for MSMG ToolKit.
+ Updated the Feature "Integrate DaRT Tools" to Integrate Separate Debug Tools for Each Windows 10 Branches.
+ Updated Microsoft DaRT Pack (Windows 10 TH1) for MSMG ToolKit with Windows 10.0.26624.0 Debug Tools.
+ Updated Microsoft DaRT Pack (Windows 10 TH2) for MSMG ToolKit with Windows 10.1.10586.212 Debug Tools.
+ Updated Microsoft DaRT Pack (Windows 10 RS1) for MSMG ToolKit with Windows 10.1.14393.795 Debug Tools.
+ Updated Microsoft DaRT Pack (Windows 10 RS2) for MSMG ToolKit with Windows 10.1.15063.468 Debug Tools.
+ Updated Microsoft DaRT Pack (Windows 10 RS3) for MSMG ToolKit with Windows 10.1.16299.15 Debug Tools.
+ Fixed a Bug in the Feature "Integrate Microsoft Games" Where the Microsoft FreeCell Game Shortcut Creation was Wrongly Created as Microsoft Chess Titans.
+ Added a Feature "Integrate Microsoft Win32Calc Metro Skin" for Windows 10/Server 2016 Source OS.
+ Updated the Feature to "Integrate Windows Photo Viewer Metro Skin" with New Skin for Windows 10/Server 2016 Source OS.
+ Updated the Feature to "Integrate Windows Media Player Metro Skin" with New Skin for Windows 10/Server 2016 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Redstone 3 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove 3D Objects from Windows Explorer Navigation Pane When Print3D and View3D Apps are Removed for Windows 10 Redstone 3 Source OS.
+ Added a Feature "Remove Default Metro Apps using Apps List".
+ Updated the Feature "Remove Windows Components" to support Windows 10 Redstone 3 Source OS.
+ Updated the Feature "Remove Windows Components" to Use New Component Removal Engine for the below Components for Windows 10 Redstone 3 Source OS.

... Microsoft Xbox Game Callable UI
... Windows Defender
... Windows SmartScreen
... Windows People Experience Host

+ Added New Registry Mount Points for ToolKit Internal Usage and Modified Image Registry Mount Points with Proper Naming

... [HKEY_LOCAL_MACHINE\TK_COMPONENTS]        -> (%windir%\System32\Config\COMPONENTS)
... [HKEY_LOCAL_MACHINE\TK_DEFAULT]           -> [HKEY_USERS\.Default] (%windir%\System32\Config\default)
... [HKEY_LOCAL_MACHINE\TK_DRIVERS]           -> (%windir%\System32\Config\DRIVERS)
... [HKEY_LOCAL_MACHINE\TK_NTUSER]            -> [HKEY_CURRENT_USER] (%userprofile%\ntuser.dat)
... [HKEY_LOCAL_MACHINE\TK_SCHEMA]            -> (%windir%\System32\SMI\Store\Machine\SCHEMA.DAT)
... [HKEY_LOCAL_MACHINE\TK_SOFTWARE]          -> [HKEY_LOCAL_MACHINE\SOFTWARE] (%windir%\System32\Config\SOFTWARE)
... [HKEY_LOCAL_MACHINE\TK_SOFTWARE\Classes]  -> [HKEY_CLASSES_ROOT] (%windir%\System32\Config\SOFTWARE)
... [HKEY_LOCAL_MACHINE\TK_SYSTEM]            -> [HKEY_LOCAL_MACHINE\SYSTEM] (%windir%\System32\Config\SYSTEM)

+ Updated ToolKit Packs Registry Entries to Reflect ToolKit's New Registry Mount Points.
- Removed Unwanted Pack files.

v7.7
+ Updated ToolKit's Bin folder with Windows 10 Redstone 3 Insider Preview WADK (v10.0.16288.1) Tools.
+ Updated the Feature "Convert Source" to Convert Windows 10 Redstone 3 Insider Preview Home Edition to Professional Workstation Edition.
+ Updated the Feature "Integrate Windows Language Packs" to Skip Integrating Language Feature - Speech Pack for Unsupported Languages.
+ Updated the Microsoft .NET Framework 4.7 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with KB4040973 Update (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to support Windows 10 Redstone 2 32-Bit Source OS.
+ Added Microsoft Win32 Calculator Pack (Windows 10 Redstone 2 32-Bit) for MSMG ToolKit.
+ Fixed a Bug in the Feature "Integrate Windows System Restore" Where the Validation Check was Using [ar-SA] Language Instead of Image Default Install Language (Thanks to MDL Member: Kenafri).
+ Updated the Feature "Integrate Microsoft Games" to support New Games Pack with folder ACL/Permissions Bug Fixes.
+ Added Microsoft Games Pack for MSMG ToolKit with folder ACL/Permissions Bug Fixes.
+ Updated the "Microsoft Windows Sidebar" Pack for MSMG ToolKit with folder ACL/Permissions Bug Fixes for Windows 8.1 & Server 2012 R2 / Windows 10 & Server 2016 Source OS.
+ Fixed a Bug in the Feature "Integrate WHD Update Pack" Where the File Management API Menu was Missing (Thanks to MDL Member: Kenafri).
+ Updated the Apply Menu to Show Dynamic Menus.
+ Added an Option to Apply Menu to Perform Image Cleanup with /StartComponentCleanup /ResetBase for Windows 10/Server 2016 Source OS.
+ Improved Image Rebuild Source Images (Thanks to MDL Member : abbodi1406).
+ Added the Option to Import the Tweak - Enable Full DISM Cleanup-Image ResetBase for Windows 10/Server 2016 Source OS.
+ Updated the Feature "WIM Manager" Cleanup Option to support /CheckHealth and /ScanHealth.
+ Fixed Several Minor Bugs (Thanks to MDL Member: Kenafri).

v7.6
+ Updated ToolKit's Bin folder with Windows 10 Redstone 3 Insider Preview WADK (v10.0.16257.1000) Tools (Thanks to MDL Members : orion2015, roedel).
+ Updated ToolKit's Bin folder with WimLib-Imagex v1.12.0 files.
+ Updated ToolKit to support Windows 10 Redstone 3 Insider Preview Build 10.0.16257.1 Source OS.
+ Updated the Feature "Integrate Windows Language Packs" to support Windows 10/Server 2016 Source OS Images with Updated ServicePackBuild Version Due to Cumulative Update Integration.
+ Fixed a Bug in the Feature "Integrate Windows Language Packs" Where the Integration of Language Feature Packs was Using the en-GB Language as Default.
+ Fixed a Bug in the Feature "Integrate Default Metro Apps" Where the Integration of All Apps Skipped the Store App.
+ Updated the Feature "Integrate Default Metro Apps" to Reflect Newer Apps.
+ Updated the Microsoft Default Metro Apps Pack for MSMG ToolKit.
+ Updated Microsoft DaRT Pack (Windows 10) for MSMG ToolKit with Windows 10.0.15063.468 Debug Tools.
> Moved Cortana and Search App Component Removal to Remove Advanced Windows Components Section.
+ Updated the Feature "Remove Default Metro Apps" to Cleanup StartMenu Broken/Junk Tiles (Thanks to MDL Member : GodHand).
+ Updated the Feature "Remove Windows Components" to Remove Windows Search Component for Windows 7/Server 2008 R2/Windows 8.1/Server 2012 R2/Windows 10/Server 2016 Source OS.
+ Fixed a Bug in the Feature "Remove Windows Components", where the Contact App Component was not Removed for Windows 10 Enterprise 2015/2016 LTSB Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Hyper-V Component for Windows 10 Redstone 3 Insider Preview Source OS.
+ Added a Feature "Import Custom StartMenu Layout from XML" for Windows 8.1/Server 2012 R2/Windows 10/Server 2016 Source OS.
+ Added a Feature "Apply Tweaks" Under Customize Menu.
> Moved the Feature "Integrate Fraunhofer MP3 Professional Codec Tweak" to Apply Tweaks Menu.
+ Added the Option to Import the Tweak - Disable Cortana But Retain Search Functionality for Windows 10 Source OS.
> Moved the Feature Remove 3rd Party Apps to "Apply Tweaks" Menu as "Disable Downloading and Installing 3rd Party Apps".
+ Fixed a Bug in the Feature "WIM Manager", where the Image Clean-up was Not Working Due to a Invalid Function Call.

v7.5
+ Updated the ToolKit to support Windows 10/Server 2016 Source OS Images with Updated ServicePackBuild Version Due to Cumulative Update Integration.
+ Updated the Feature "Integrate Microsoft .NET Framework 3.5" to Integrate Microsoft .NET Framework 3.5 Components for Windows 10 Redstone 3 Insider Preview Build 16215 Source OS.
+ Updated the Microsoft .NET Framework 4.7 Pack (Windows 8.1/Server 2012 R2) for MSMG ToolKit with New Compressed CAB files.
+ Updated the Microsoft .NET Framework 4.7 Pack (Windows 10 RS1/Server 2016) for MSMG ToolKit with New Compressed CAB files.
+ Updated the Feature "Integrate Default Metro Apps" with New Apps Depenedency Packages Integration.
+ Updated Windows Sidebar Pack for MSMG ToolKit with New Fixes (Thanks to MDL Member : Kenafri).
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the Confirmation Query Message was Missplaced for Remove All Apps and Remove All Apps Expect Store App.
+ Updated the Feature "Remove Default Metro Apps" to Remove Get Help, Print 3D and Xbox TCUI Apps for Windows 10 Redstone 3 Insider Preview Build 16215 Source OS.
+ Updated the Feature "Remove Windows Components" to support Windows 10 Redstone 3 Insider Preview Build 16215 Source OS.

v7.4
+ Fixed a Bug in the Feature "Integrate Windows Language Packs", where the Updating of Lang.ini failed Due to Invalid Image Mount Path.
+ Fixed a Bug in the Feature "Integrate Microsoft .NET Framework 3.5", where the Toolkit Couldn't Find the Required Package Files Due to the Change in Image ServicePackBuild Version for Windows 10 Source OS.
+ Updated the Microsoft .NET Framework 4.7 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit with Auto MOFs Compilation & Fresh NativeImages Generation after OS Installation (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate Windows Sidebar" with Improved Windows Sidebar EXE & DLL Registration (Thanks to MDL Member : Kenafri).
+ Updated Windows Sidebar Pack for MSMG ToolKit to Remove Non-Working Gadgets (Currency, Stocks, Weather).
+ Updated the Feature "Remove Default Metro Apps" with a Confirmation Y/N Query to Proceed Further When Remove All Apps Menu Is Selected.
+ Updated the Feature "Remove Windows Components" with a Confirmation Y/N Query to Proceed Further When Remove All Windows Components Menu Is Selected.
+ Updated the Feature "Apply & Save Changes to Source Images" to Perform Extra Image Clean-up to Remove Temporary Files/folders.
+ Modified Image Registry Mount Points with Proper Naming

... [HKEY_LOCAL_MACHINE\TK_HKLM_SOFTWARE]          -> [HKEY_LOCAL_MACHINE\SOFTWARE] (%windir%/system32/config/software)
... [HKEY_LOCAL_MACHINE\TK_HKLM_SOFTWARE\Classes]  -> [HKEY_CLASSES_ROOT] (%windir%/system32/config/software)
... [HKEY_LOCAL_MACHINE\TK_HKLM_SYSTEM]            -> [HKEY_LOCAL_MACHINE\SYSTEM] (%windir%/system32/config/system)
... [HKEY_LOCAL_MACHINE\TK_HKCU]                   -> [HKEY_CURRENT_USER] (%userprofile%/ntuser.dat)
... [HKEY_LOCAL_MACHINE\TK_HKU_DEFAULT]            -> [HKEY_USERS\.Default] (%windir%/system32/config/default)

+ Added an Option to Load/Unload Image Registry Under Tools->Options Menu.

v7.3
+ Updated ToolKit's Bin folder with Windows 10 Redstone 3 Insider Preview WADK (v10.0.16190.0) Tools.
+ Fixed a Bug in the Feature "Select Source from DVD", where the Display of Source Image Information was not Correctly Displaying the Image Description. 
+ Updated the Feature "Integrate Microsoft .NET Framework 4.7" to support Windows 7/Server 2008 R2 Source OS.
+ Added Microsoft .NET Framework 4.7 Pack (Windows 7/Server 2008 R2) for MSMG ToolKit (Thanks to MDL Member : abbodi1406).
+ Updated Microsoft DirectX 9.0c Pack for MSMG ToolKit with Fix for folder Permission and Office Protected View Issues (Thanks to MDL Member : AeonX).
+ Fixed a Bug in the Feature "Integrate Windows Sidebar", where the Windows Sidebar Integration was not Working for Some Languages.

v7.2
+ Updated the Feature "Select Source from Source DVD" with an Option to Select Windows Setup Boot and Windows Recovery Images for Mounting.
+ Fixed a Bug in the Feature "Extract Source from DVD ISO Image”, where a Syntax Error in the Else Condition was Causing an Error.
+ Fixed a Bug in the Feature "Extract Source from OEM IMG Image”, where a Syntax Error in the Else Condition was Causing an Error.
+ Updated the Feature "Integrate Windows Language Packs" to Integrate WinPE Language Packs Based on Whether Windows Setup Boot and Windows Recovery Images Selected.
+ Updated the Feature "Integrate Windows Drivers" to Integrate WinPE Drivers Based on Whether Windows Setup Boot and Windows Recovery Images Selected.
+ Refreshed Microsoft .NET Framework 4.6.2 Pack for MSMG ToolKit.
+ Added a Feature "Integrate Microsoft .NET Framework 4.7" for Windows 7/Server 2008 R2/Windows 8.1/Server 2012 R2/Windows 10 Redstone 1/Server 2016 Source OS.
+ Added Microsoft .NET Framework 4.7 Pack for MSMG ToolKit.
+ Fixed a Bug in the Feature "Integrate Microsoft Default Metro Apps", where Choosing Go-Back Menu would Try to Integrate Some Apps for Windows 10 RS2/RS3 Source OS.
+ Updated the Feature "Integrate Microsoft DaRT Tools" to Integrate DaRT Tools Based on Whether Windows Setup Boot and Windows Recovery Images Selected.
+ Updated the Feature "Integrate Microsoft DaRT Tools" to Copy FMAPI.dll from Install Image Instead from of a FMAPI CAB Package.
+ Updated the Feature "Integrate Windows Sidebar" with New Fixes (Thanks to MDL Member : Kenafri).
+ Added Windows Sidebar Pack for MSMG ToolKit (Thanks to MDL Member : Kenafri).
- Removed the Restriction to Check for Windows 10 Service Stack Update for the Feature Integrate WHD General Updates for Windows 10 Source OS.
+ Updated the Feature "Integrate WHD General Updates" to Integrate WHD General Updates Based on Whether Windows Setup Boot and Windows Recovery Images Selected.
+ Fixed a Bug in the Feature "Integrate Terminal Server Patch", where the Validation Check Path was Point to a Wrong folder.
+ Added a Feature "Integrate Windows Photo Viewer Metro Skin" for Windows 10/Server 2016 Source OS.
+ Added a Feature "Integrate Windows Media Player Metro Skin" for Windows 10/Server 2016 Source OS.
+ Fixed a Bug in the Remove Menu, where the Menu was not Working properly for Windows Server 2016 Source OS.
+ Updated the Feature "Remove Default Metro Apps", Separated Desktop App Installer, Xbox and Store App Removal.
+ Updated the Feature "Remove Default Metro Apps", Improved Paint 3D App Removal with More Tweaks to Remove Open With Paint 3D Right Click Context Menu Shortcuts for More Formats (Thanks to MDL Member : Zanza-kun).
+ Updated the Feature "Remove Windows Components", Moved Windows Delivery Manager Component to Microsoft Telemetry Services for Windows 10 Source OS.
+ Fixed a Bug in the Feature "WIM Manager", where Renaming an WIM Image Index Description String would Get Truncated If there was a Space.

v7.1
+ Fixed a Bug in the Feature "Remove Windows Components", where Removing Windows Defender Component would Give File/folder Deletion Errors for Windows 10 Redstone 2 Source OS.

v7.0
+ Re-Added support for Windows 10 Threshold 2 Source OS.
+ Updated ToolKit's Bin folder with Windows 10 Redstone 2 RTM WADK (v10.0.15063.0) Tools.
+ Updated the Feature "Select Source from Source DVD" to Mount Recovery Image Only from Install Image First Index when Multi-Index Servicing Mode Is Selected.
+ Improved Display Source Images List Screen.
> Moved these Features from Source Menu to Convert Menu

... Convert Store ESD Image to WIM Image
... Convert ESD Image to WIM Image
... Convert MCT Image to WIM Image
... Convert WIM Image to ESD Image

+ Updated the Feature "Convert Source" to support Windows 7 Client Source OS.
+ Updated the Feature "Convert Source" to support Windows 8.1/Server 2012 R2 Source OS.
+ Updated the Feature "Convert Source" to support Windows 10 Redstone 2 Source OS.
+ Updated the Feature "Windows Language Packs" to Fully Integrate Multilingual User Interface (MUI) Packs for Windows Boot, Install and Recovery Images.
+ Added Microsoft Windows Multilingual User Interface (MUI) Packs for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft Edge Browser" to support Windows 10 Redstone 2 Source OS.
+ Updated the Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 Redstone 2 - Edge Browser Base and MUI x86/x64 CAB files.
+ Updated the Feature "Integrate Windows Data Deduplication" to support Windows 10 Threshold 2/Redstone 2 Source OS.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows 10 Threshold 2 - Data Deduplication Base & de-DE, en-US, es-ES, fr-FR, it-IT, ja-JP, ko-KR, pt-BR, ru-RU, tr-TR, zh-CN, zh-TW MUI CAB files. (Thanks to MDL Member : abbodi1406, Moderate).
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows 10 Redstone 2 - Data Deduplication Base & MUI CAB Files (Thanks to MDL Member : abbodi1406, Moderate).
+ Fixed a Bug in the Microsoft .NET Framework 4.6.2 Pack (Windows 10) for MSMG ToolKit, where a Filename Correction was Needed.
+ Refreshed Microsoft ThinPC Add-ons Pack for MSMG ToolKit.
+ Added a Feature "Integrate Microsoft Windows Media Feature Pack" for Windows 7 K, KN/Windows 8.1 N, KN/Windows 10 N, KN, GN Edition Source OS.
+ Added Microsoft Windows Media Feature Pack for MSMG ToolKit.
- Removed the Feature "Integrate Microsoft Windows Media Feature" from the Feature "Integrate WHD Extra Updates".
+ Added a Feature "Integrate Microsoft Remote Server Administration Toolkit (RSAT)" for Windows 7/8.1/10 Professional/Enterprise/Ultimate Edition Source OS.
+ Added Microsoft Remote Server Administration Toolkit (RSAT) Pack for MSMG ToolKit.
- Removed the Feature Integrate Remote Server Administration Toolkit (RSAT) from the Feature Integrate WHD Extra Updates.
+ Added a Feature "Integrate Windows Accessibility Braille" for Windows 10 Redstone 2 Source OS.
+ Added Microsoft Windows Accessibility Braille Pack for MSMG ToolKit.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit with Windows 10 Redstone 2 - Windows Subsystem for Linux (WSL) Base & MUI CAB files.
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to support Windows 10 Threshold 2/Redstone 2 Source OS.
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Redstone 2 - Microsoft Win32 Calculator Base 64-Bit & MUI 32/64-Bit CAB files.
+ Updated the Microsoft Windows Multimedia Restricted Codecs Pack for MSMG ToolKit with Windows 10 Redstone 2 - Windows Multimedia Restricted Codecs Base & MUI 32/64-Bit CAB files.
+ Updated the Feature "Integrate Windows To Go Workspace" to support Windows 10 Redstone 2 Source OS.
+ Updated the Microsoft Windows To Go Workspace Pack for MSMG ToolKit with Windows 10 Redstone 2 - Windows To Go Workspace Base & MUI 32/64-Bit CAB files.
+ Updated the Microsoft Windows System Restore Pack for MSMG ToolKit with Windows 10 Redstone 2 - Windows System Restore Base & MUI 64-Bit CAB files.
+ Updated the Feature "Integrate Microsoft Default Metro Apps" to support Windows 10 Threshold 2/Redstone 2 Source OS.
+ Updated the Feature "Integrate Microsoft DaRT Tools", to support Windows 10 Threshold 2/Redstone 2 Source OS.
+ Updated the Microsoft DaRT Pack for MSMG ToolKit with Updated Windows 10 Redstone 2 RTM Debug Tools Required for Crash Analyser.
+ Renamed the Feature "Integrate WHD Updates" to "Integrate WHD Update Pack".
+ Updated the Feature "Integrate WHD Update Pack" to support Windows 10 Threshold 2/Redstone 2 Source OS. 
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Threshold 2 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Redstone 2 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Media Player Components for Windows 7/Server 2008 R2/Windows 8.1/Server 2012 R2/Windows 10/Server 2016 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Maps, Gaming Components for Windows 10 Redstone 1/2 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Mixed Reality Component for Windows 10 Redstone 2 Source OS.
+ Updated the Feature "Remove Windows Components" to Merge Windows Delivery Manager with Microsoft Cortana, Search Component for Windows 10 Source OS.
+ Renamed these Menus in Apply Menu

... Apply & Save Changes to Source Images
... Discard Changes & Unmount Source Images
... Rebuild Source Images

+ Updated the Feature "Apply & Save Changes to Source Images" to Perform Image Component Clean-up with ResetBase Only for Install Image First Index in Multi-Index Servicing Mode.
+ Updated the Feature "Apply & Save Changes to Source Images" to Copy the Updated Recovery Image from Install Image First Index to Rest of the Indexes in the Install Image in Multi-Index Servicing Mode to Reduce Overall Install Image Size.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v6.9
+ Updated ToolKit's Bin folder with Windows 10 Redstone 2 WADK (v10.0.15052.0) Tools.
+ Added a Verification Check for the Feature "Extract Source from DVD ISO Image" to Verify Extraction.
+ Added a Verification Check for the Feature "Extract Source from OEM IMG Image" to Verify Extraction.
+ Fixed a Bug in the Feature "Remove Windows Components", where the Remove Advanced Windows Components Menu was not Working for Windows Server 2016 Source OS.
+ Fixed a Bug in the Feature "Apply Source", where the WIM Image Component Clean-up was Wrongly Applied to Windows 7/Server 2008 R2/ThinPC Source OS.
+ Updated the Feature "Format USB Flash Drive", with Improved USB Flash Drive Checking (Thanks to MDL Member: Psylow).

v6.8
+ Updated ToolKit's Bin folder with Windows 10 Redstone 2 WADK (v10.0.15042.0) Tools.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Redstone 2 (Creators Update) Release Build 15046 Source OS.
+ Updated the Feature "Remove Windows Components" to support Windows 10 Redstone 2 (Creators Update) Release Build 15046 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Biometrics Components for Windows 10 Redstone 2 (Creators Update) Release Build 15046 Source OS.

v6.7
+ Updated ToolKit's Bin folder with Windows 10 Redstone 2 WADK (v10.0.15021.1000) Tools.
+ Updated the Feature "Integrate Data Deduplication" to Integrate Data Deduplication Update Package for Windows 10 Source OS.
+ Updated the Data Deduplication Pack for MSMG ToolKit with Data Deduplication Update Package (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Remove Windows Components" to support Windows 10 Redstone 2 (Creators Update) Release Build 15031 Source OS.
+ Fixed Many Typo Errors in the ToolKit (Thanks to MDL Member Kenafri).
+ Optimized ToolKit Code (Thanks to MDL Member Kenafri).

v6.6
+ Fixed a Bug in the Feature "Integrate .NET Framework 3.5", where the ToolKit failed to Integrate .NET Framework 3.5 When Multiple Indexes Are Selected.
+ Fixed a Bug in the Feature "Integrate Windows Calculator", where the ToolKit would Generate a Read-only Mount Error.
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where Selecting Go Back Menu in the Remove Apps Menu didn't Work for Windows 10 Redstone 1 Source OS. 
+ Fixed Minor Bugs in the ToolKit (Thanks to MDL Member Kenafri).

v6.5
+ Updated ToolKit's Bin folder with WimLibImagex Latest Binaries.
+ Added Fix for Server Core Edition Detection (Thanks to MDL Member Kenafri).
+ Fixed a Bug in the Feature "Integrate .NET Framework 3.5", where the ToolKit failed to Find the .NET Framework 3.5 Source Files Inside the Pack folder.
+ Updated the Microsoft .NET Framework 3.5 Pack with Proper Version and Simpler Naming for Windows 10 Source OS. 
+ Fixed a Bug in the Feature "Integrate Internet Explorer 11 Updates", where the Internet Explorer 11 Update was not Extracted Correctly.
+ Added a Feature "Integrate Windows Management Framework (WMF) 5.1".
+ Added Windows Management Framework 5.1 Pack for MSMG ToolKit for Windows 7/Server 2008 R2/ThinPC/Windows 8.1/Server 2012 R2 Source OS.
- Removed the Feature "Integrate Windows Management Framework 3.0, 4.0 & 5.0".
- Removed the Windows Management Framework 3.0, 4.0 & 5.0 Pack for MSMG ToolKit.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Windows Components" to Remove "dmwappushsvc" Service When Microsoft Telemetry Services Components Are Removed for Windows 10 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft OneDrive Component for Windows 10 Redstone 2 Creators Update Preview Source OS.
+ Fixed Minor Bugs in the ToolKit (Thanks to MDL Member Kenafri).
+ Optimized ToolKit Code.

v6.4
+ Updated the Feature "Integrate Microsoft .Net Framework 3.5" to Improve Integration Speed (Thanks to tito & xinso).
+ Updated the Feature "Integrate WHD General Updates" to Improve Integration Speed for Windows 10 Source OS (Thanks to tito & xinso).
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Moved the Option "WIM Component Cleanup with ResetBase" from the Feature "Integrate WHD Updates" to "Apply Source". 
+ Updated the Feature "Remove Default Metro Apps", Merged Windows Store and Xbox Apps Removal to Fix Store Not Working When All Apps Except Store Are Removed for Windows 10 Source OS. 
+ Updated the Feature "Remove Default Metro Apps" to Remove Microsoft Xbox Speech-To-Text Overlay App for Windows 10 Redstone 2 Creators Update Preview Source OS.
+ Updated the Feature "Remove Windows Components", Merged Windows Defender App Component with Windows Defender Component in Remove Advanced Windows Component Section for Windows 10 Redstone 2 Creators Update Preview Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Defender Application Guard Inbox Component for Windows 10 Redstone 2 Creators Update Preview Source OS.
+ Added a Feature "Remove Windows Components Using Package List".
+ Fixed Minor Bugs in the ToolKit (Thanks to MDL Member Kenafri).

v6.3
+ Updated ToolKit's Bin folder with Windows 10 Redstone 2 WADK (v10.0.14986.1000) Tools.
+ Updated the ToolKit to support Leaked Windows 10 Redstone 2 Creators Update Preview Build 10.0.14997.1001 Source OS.
+ Updated the Feature "Convert Source" to support Windows 2008 R2 Source OS.
+ Updated the Feature "Convert Source" to Add Original WIM Image Flag, Edition, Name, Description, Display Name & Display Description.
+ Fixed a Bug in the Feature "Integrate Microsoft Edge Browser App", where the Registry Tweak to Enable Integrating Cumulative Update on Enterprise S, Enterpise SN, Server 2016 was Applying 64-Bit Registry Keys to 32-Bit OS.
+ Fixed the Bugs with ToolKit's Drivers and Updates folder Structure.
+ Updated the Feature "Remove Windows Components" to Fix Event Log Errors When Windows Bio Metrics Component is Removed.
+ Updated the Feature "Remove Windows Components" to Remove Windows Defender App Component for Windows 10 Redstone 2 Creators Update Preview Source OS.

v6.2
+ Added a Feature "Integrate Internet Explorer 11" with Language Packs for Windows 7/Server 2008 R2/ThinPC Source OS.
+ Added Internet Explorer 11 Pack for MSMG ToolKit with MUI Files for Windows 7/Server 2008 R2/ThinPC Source OS.
+ Added a Feature "Integrate Microsoft .NET Framework 4.6.2 Components" with Language Packs for Windows 8.1/Server 2012 R2/Windows 10 TH1/TH2 Source OS.
+ Added Microsoft .NET Framework 4.6.2 Components Pack for MSMG ToolKit with MUI Files for Windows 8.1/Server 2012 R2/Windows 10 TH1/TH2 Source OS.
+ Added a Feature "Integrate Windows Management Framework 3.0, 4.0 & 5.0" for Windows 7/Server 2008 R2/ThinPC/Windows 8.1/Server 2012 R2 Source OS.
+ Added Windows Management Framework 3.0, 4.0 & 5.0 Pack for MSMG ToolKit for Windows 7/Server 2008 R2/ThinPC/Windows 8.1/Server 2012 R2 Source OS.
+ Added a Feature "Integrate Remote Desktop Protocol 8 & 8.1" for Windows 7/Server 2008 R2/ThinPC Source OS.
+ Added Remote Desktop Protocol 8 & 8.1 Pack for MSMG ToolKit for Windows 7/Server 2008 R2/ThinPC Source OS.
+ Updated the Feature "Integrate Microsoft Edge Browser App" with Tweak to Enable Updating Edge Components with Newer Windows Cumulative Updates for Windows 10 Source OS (Thanks to MDL Member xinso).
- Removed Integration of Internet Explorer 11, Microsoft .NET Framework 4.6.2, Remote Desktop Protocol 8/8.1, Windows Management Framework 3.0/4.0/5.0 from Integrate WHD Additional & Extra Updates Feature.
+ Updated the Feature "Integrate WHD Security Updates" with Tweak to Block Microsoft Telemetry Client for Windows 7/Server 2008 R2/ThinPC/Windows 8.1/Server 2012 R2 Source OS.
+ Refreshed Windows To Go, Windows Classic Calculator, Windows Data Deduplication, Microsoft DaRT Tools, Microsoft .NET Framework 3.5 Components Packs to Match with the Upcoming MSMG ToolKit GUI folder Structure.
+ Updated the Feature "Remove Default Metro Apps" to Remove Microsoft 3D Viewer, Wallet, Xbox Game Overlay Apps for Windows 10 Redstone 2 Creators Update Preview Source OS.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v6.1
+ Updated ToolKit's Bin folder with Windows 10 Redstone 2 WADK (v10.0.14965.1001) Tools.
+ Added a New Feature "Integrate Windows Multimedia Restricted Codecs" to Windows Server 2016 Source OS.
+ Added Windows Multimedia Restricted Codecs Pack for MSMG ToolKit with Base & MUI CAB Package Files (Thanks to MDL Member xinso).
+ Updated the Feature "Remove Default Metro Apps" to Microsoft Paint 3D Preview App for Windows 10 Redstone 2 Creators Update Preview Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Flight Signing, Windows Desktop File Explorer App Components for Windows 10 Redstone 2 Creators Update Preview Source OS.

v6.0
+ Fixed a Bug in the ToolKit where the ToolKit would Crash When a Windows Server Core Edition Source OS Is Selected.
+ Fixed Several Bugs in the ToolKit where the ToolKit would Jump to Wrong Menus for Windows Server Core Edition Source OS's.
+ Updated the Feature "Convert Source" to support Windows Server 2016 Core Edition Source OS.
+ Updated the ToolKit to support Windows 10 Redstone 2 Technical Preview Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Latest Windows 10 Redstone 2 Technical Preview Source OS ESD Crypto Key.
+ Updated the Feature "Remove Windows Components" to support Windows Server Core Edition Source OS's.
+ Updated the Feature "Remove Windows Components" to Remove Biometrics, Xbox and Gaming related Services.

v5.9
+ Fixed a Bug in the Feature "Integrate Custom Default Account Pictures", where the ToolKit Copied Default Account Pictures which didn’t exist in Windows Server 2008 R2 Core Source OS (Thanks to MDL Member Kenafri).
+ Fixed a Bug in the Feature "Integrate Microsoft Edge Browser", where the ToolKit Wrongly Integrated 64-Bit Microsoft Edge Browser Package to Windows 10 Enterprise 2016 LTSB 32-Bit Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Defender Component for Windows 10 Redstone 2 Technical Preview Source OS.

v5.8
+ Updated the Feature "Integrate Microsoft Edge Browser" to support Windows 10 Enterprise 2016 LTSB Source OS.
+ Updated the Feature "Integrate WHD Updates", Added Component Store Clean-up with Resetbase for Install.wim WIM Image.
+ Updated the Feature "Remove Windows Components" to Remove Post Component Removal Clean-up (WinSXS folder Clean-up) for OneDrive Component Since It's Causing Image Corruption.

v5.7
+ Updated Microsoft DirectX 9.0c Pack for MSMG ToolKit with Fix for Mismatched Index.
+ Updated the Feature "Remove Windows Components" to Remove Windows People Experience Host Component for Windows 10 Redstone 2 Technical Preview Source OS.

v5.6
+ Updated the Feature "Integrate Data Deduplication" to Integrate Windows Server 2016 RTM Build 10.0.14393 Deduplication MUI Packages (Windows 10 Redstone 64-Bit Client Source OS).
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows Server 2016 RTM Build 10.0.14393 Deduplication MUI CAB Package Files (Thanks to MDL Member : abbodi1406).
+ Updated Microsoft DirectX 9.0c Pack for MSMG ToolKit with New Direct DISM Capture Method.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Fixed a bug in the Feature "Remove Windows Components", where Removing Microsoft Maps Component would Skip WOW64 Packages on Windows 10 64-Bit Source OS.
+ Updated the Feature "Remove Windows Components", Added Post-Component Removal Clean-up for Retail Demo and OneDrive Packages.

v5.5
+ Updated the Feature "Remove Windows Components" to Remove Windows Contact support and Windows Quick Assist App Components for Windows 10 Enterprise N 2016 LTSB Build 10.0.14393 Source OS.

v5.4
+ Fixed Bugs in the Feature "Remove Windows Components" Related to Missing/Mismatched Menu Items in Remove Windows Components Menu.
+ Updated the Feature "Remove Windows Components" with Post-Component Removal Clean-up Routine.

v5.3
+ Added WimLibImagex to ToolKit's Bin folder.
+ Updated the ToolKit to support Windows 10 Enterprise 2016 LTSB Build 10.0.14393 Source OS.
+ Updated the ToolKit to support Windows 10 Redstone 2 Technical Preview Source OS.
+ Updated the Feature "Convert Source", to Update WIM Image Display Name and Display Description.
+ Updated the Feature "Convert Source", to support Windows 10 Redstone Build 10.0.14393 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone 2 Technical Preview Source OS ESD Crypto Key.
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to support Windows 10 Redstone 2 Technical Preview Source OS.
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Redstone RTM Build 10.0.14393 Win32Calc 32-Bit Base & MUI CAB Package files.
+ Added a Feature "Integrate Windows System Restore" for Windows Server 2008 R2/Windows Server 2012 R2/Windows Server 2016 Source OS.
+ Added Windows System Restore Pack for MSMG ToolKit with Windows Server 2008 R2/Windows Server 2012 R2/Windows Server 2016 64-Bit System Restore Base & MUI CAB Package files.
+ Added a Feature "Integrate Microsoft Edge Browser" for Windows Server 2016 Source OS.
+ Added Microsoft Edge Browser Pack for MSMG ToolKit with Windows 10 Redstone Build 10.0.14393 32-Bit & 64-Bit Microsoft Edge Browser Base & MUI CAB Package files.
+ Updated the Windows Subsystem for Linux (WSL) Pack for MSMG ToolKit, Removed Extra Packages Not Required.
+ Updated the Feature "Integrate Default Metro Apps" to support Windows 10 Redstone RTM Build 10.0.14393 Source OS.
+ Fixed Microsoft DirectX 9.0c Pack for MSMG ToolKit with Original File/folder ACL Permission.
+ Fixed Microsoft DaRT Pack for MSMG ToolKit with Original File/folder ACL Permission.
+ Fixed a Bug in the Feature "Integrate WHD Updates", where the Windows 8.1 Edition Checking for Edition Specific Updates Integration failed for Embedded Editions (Thanks to MDL Member Kenafri). 
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Default Metro Apps" to Remove "3D Print with 3D Builder" Right Click Context Menu When 3D Builder App is Removed.
+ Updated the Feature "Remove Default Metro Apps" to Remove 3rd Party Apps Download Links for Windows 10 Redstone RTM Build 10.0.14393 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Disable "Open with Look for Store Apps" Prompt When the Windows Store Apps are Removed.
+ Updated the Feature "Remove Default Metro Apps" to Disable Auto Downloading and Installing of 3rd Party Metro Apps When the 3rd Party Apps Are Removed.
+ Fixed a Bug in the Feature "Remove Windows Components", where Windows 7/Server 2008R2 Components failed to Remove the Windows Components (Thanks to MDL Member xinso).
+ Fixed a Bug in the Feature "Remove Windows Components", where Removing Cortana & Search Component would Give Registry Key Not Found Error in Multi-Index Servicing Mode.
+ Updated the Feature "Remove Windows Components" to support Windows 10 Redstone 2 Technical Preview Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Biometrics Services Registry Keys When Microsoft Biometrics Services Components Are Removed.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Telemetry Services Registry Keys When Microsoft Telemetry Services Components Are Removed.
+ Updated the Feature "Remove Windows Components" to Disable Windows Update Offering Windows Defender Definitions Updates When Windows Defender Component is Removed.
+ Updated the Feature "Remove Windows Components", Separated Windows Geo Location Component from Microsoft Telemetry Services for Windows 10 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Adobe Flash for Windows Component for Windows 8.1/Server 2012 R2 - Windows 10/Server 2016 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows HomeGroup Component for Windows 8.1/Server 2012 R2 - Windows 10/Server 2016 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Parental Controls Component for Windows 7/8.1/10 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows System Restore Component for Windows 7 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Metro Gaming Component for Windows 10 Source OS.
+ Updated the Feature "Remove Windows Components" to Disable "Open with Look for Store Apps" Prompt When the Windows Store Client Component Is Removed.
+ Optimized ToolKit Code (Thanks to MDL Member Kenafri).
- Removed Redundant Codes.

v5.2
+ Updated ToolKit's Bin folder with Windows 10 Redstone WADK (v10.0.14393.0) Tools.
+ Updated Microsoft .NET Framework 3.5 Pack for MSMG ToolKit with Windows 10 Redstone .NET Framework 3.5 CAB files.
* Renamed the Feature "Integrate Windows Linux SubSystem" to "Integrate Windows Subsystem for Linux (WSL)".

v5.1
+ Updated the ToolKit to support Windows 10 Redstone RTM Build 10.0.14393 Client and Server 2016 Build 10.0.14393 Source OS.
- Removed support for Windows 10 Threshold 2 Build 10.0.10586 Source OS.
+ Fixed Several Bugs in the ToolKit.
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to Integrate Windows 10 Redstone RTM Build 10.0.14393 Win32Calc Packages (Windows 10 Redstone Source OS).
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Redstone RTM Build 10.0.14393 Win32Calc 64-Bit CAB Package & 32-Bit .tpk ToolKit Pack with MUI files.
+ Added a Feature "Integrate Windows Linux SubSystem" for Windows Server 2016 Source OS (Thanks to MDL Member TS).
+ Added Windows Linux SubsSystem CAB Package with MUI Files for Windows Server 2016 Source OS (Thanks to MDL Member TS).
+ Updated the Feature "Integrate Data Deduplication" to Integrate Windows Server 2016 RTM Build 10.0.14393 Deduplication Packages (Windows 10 Redstone 64-Bit Client Source OS).
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows Server 2016 RTM Build 10.0.14393 Deduplication CAB Package Files (Thanks to MDL Member : abbodi1406).
+ Updated the Feature "Integrate Windows To Go Workspace" to Integrate Windows 10 Redstone RTM Build 10.0.14393 WinToGo Packages (Windows 10 Redstone Source OS).
+ Updated the Feature "Integrate Windows To Go Workspace" to Integrate Windows To Go Workspace to Windows Server 2016 Source OS.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Redstone RTM Build 10.0.14393 Enterprise WinToGo CAB Package with MUI files.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Windows Components" to support Windows Server 2016 Build 10.0.14393 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Take App for Windows 10 Redstone RTM Build 10.0.14393 Client Source OS.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v5.0
+ Updated the ToolKit to support Spaces in ToolKit's Runtime folder Name.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Build 10.0.14393 ESD Crypto Key.
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the ToolKit would Terminate When the User Selects a Metro App to Remove.

v4.9
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Technical Preview Build 10.0.14388 ESD Crypto Key.
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the Removal of 3rd Party Apps Links failed with Single Index Servicing Mode.
+ Updated the Feature "Remove Windows Components" to Remove Windows Defender Advanced Threat Protection under Windows Defender Component (Windows 10 Redstone Technical Preview Build 10.0.14388 Source OS).

v4.8
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Technical Preview Build 10.0.14379 ESD Crypto Key.
+ Fixed a Bug in the Feature "Integrate WHD Extra Updates", where the Extra Updates Source folder was Pointing to Wrong Location (Windows 10 Source OS Only).
+ Fixed a Bug in the Feature "Integrate WHD Extra Updates", where the WMF 3, 4, 5 Integration Skipped to Integrate a Sub-Package for 64-Bit Windows 7 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Maps Component (Windows 10 Source OS).

v4.7
+ Updated Dism++CUI.exe in ToolKit's Bin folder.
+ Updated the ToolKit to support Windows 10 Redstone 1 Technical Preview Build 10.0.14372 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Technical Preview Build 10.0.14372 ESD Crypto Key.
+ Modified WHD Updates folder Structure to support Windows 10 Threshold 1 Source OS.
+ Fixed a Bug in the Microsoft Win32 Calculator Pack for MSMG ToolKit.

v4.6
+ Added Dism++CUI.exe to ToolKit's Bin folder.
+ Updated the ToolKit to support Windows 10 Redstone 1 Technical Preview Build 10.0.14367 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Technical Preview Build 10.0.14367 ESD Crypto Key.
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to Integrate Windows 10 Threshold 2 Enterprise LTSB (10.0.10537.0) 64-Bit en-US Win32Calc Packages for Windows 10 Threshold 2 64-Bit en-US Source OS.
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Threshold 2 Enterprise LTSB (10.0.10537.0) 64-Bit en-US Win32Calc CAB Packages.
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to Integrate Windows 10 Redstone 1 Enterprise S (10.0.14352.1002) 64-Bit Win32Calc Packages for Windows 10 Redstone 1 64-Bit Source OS.
+ Updated the Microsoft Win32 Calculator Pack for MSMG ToolKit with Windows 10 Redstone 1 Enterprise S (10.0.14352.1002) 64-Bit Win32Calc CAB Packages.
+ Fixed Several Bugs in the Feature "Integrate WHD Updates".
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Improved the Feature "Integrate WHD General Updates" to Avoid the ToolKit Script to be Updated Each time for New Updates, By Using a Dedicated folder Structure for each Updates for Windows 10 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Microsoft Connect App for Windows 10 Redstone 1 Technical Preview Source OS (Thanks to MDL Member expert).
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the Remove Default Metro Apps Menu Contained a Duplicate Menu Entry.
+ Updated the Feature "WIM Manager" to Capture a Drive/folder to a WIM Image File.
+ Updated the Feature "WIM Manager" to Apply a WIM Image to a Drive/folder.
+ Updated the Feature "WIM Manager" to Perform Clean-up and Resetbase a WIM Image File.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v4.5
+ Updated the ToolKit to support Windows 10 Redstone 1 Technical Preview Build 10.0.14352 Source OS.
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Updated the Feature "Integrate WHD Updates" to Suuport Convenience Rollup Update (KB3125574) for Windows 7 SP1 Source OS.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Default Metro Apps", Improved the Registry Settings for Enable and Set Windows Photo Viewer as the Default Photo Viewer When the Default Photos Metro App is Removed.
+ Updated the Feature "Remove Windows Components", Moved the Components Microsoft Edge Browser App, Windows Defender, Windows Defender Server and AntiMalware to Remove Advanced Windows Components Menu.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Internet Explorer Component.

v4.4
+ Updated the ToolKit to support Windows 10 Redstone 1 Technical Preview Build 10.0.14342 Source OS.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Default Metro Apps", to Set Windows Media Player as the Default Audio/Video Player When the Default Music and Videos Metro Apps Are Removed.
+ Updated the Feature "Remove Default Metro Apps", to Enable and Set Windows Photo Viewer as the Default Photo Viewer When the Default Photos Metro App is Removed.
+ Updated the Feature "Remove Default Metro Apps", Re-Added the Options to Remove "All Metro Apps Except Store", "All Bing Metro Apps", "All Online Metro Apps" for Windows 10 Redstone 1 Technical Preview Source OS.
+ Fixed a Bug in the Feature "Make a DVD ISO Image", where the ToolKit would Generate a Corrupted ISO Image When the ISO Volume Label is Set to Blank.

v4.3
+ Updated the ToolKit to support Windows 10 Redstone 1 Technical Preview Build 10.0.14332 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Technical Preview ESD Crypto Key.
+ Updated the Microsoft Games Pack for MSMG ToolKit to support Windows 10 Redstone Technical Preview Source OS (Thanks to MDL Member hb860).
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
- Removed the Options "Remove All Apps Except Store" and "Remove All Online Apps" from the Feature "Remove Default Metro Apps", In Order to Accommodate Space for Windows 10 Redstone 1 Technical Preview Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Microsoft Sticky Notes, OneConnect, Store Purchase App, Feedback Hub Apps for Windows 10 Redstone 1 Technical Preview Source OS.
+ Updated the Feature "Remove Windows Components", Added Windows Geo Locations Package to Microsoft Telemetry Services Component Removal.
- Removed Redundant Codes.

v4.2
+ Updated the ToolKit to Auto Elevate UAC Prompt for Administrator Privileges (Thanks to MDL Member - westyles).
+ Updated the ToolKit to Auto Re-Size ToolKit Window Size to 80x25 (Thanks to MDL Member - westyles).
+ Updated the ToolKit to support Windows 10 Redstone 1 Technical Preview Build 10.0.14316 Source OS.
+ Fixed a Bug in the Feature "Convert Source", where the ToolKit Control would Jump to Integrate Menu If the Source OS is Windows Embedded 8.1 Industry Pro/Enterprise (Thanks to MDL Member Kenafri).
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Default Metro Apps" to Remove Microsoft Xbox Identity Provider App for Windows 10 Redstone 1 Technical Preview Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Windows Quick Assist Package Component for Windows 10 Redstone 1 Technical Preview Source OS.
+ Optimized ToolKit Code (Thanks to MDL Member Kenafri).
- Removed Redundant Codes.

v4.1
+ Updated ToolKit's Bin folder with Windows 10 Redstone WADK (v10.0.14295.1000) Tools.
+ Updated the Feature "Integrate Windows Language Packs", to support Integrating Windows Language Packs to Windows Setup Boot and Recovery (WinPE) WIM Images.
+ Updated the Feature "Integrate Windows Drivers", to support Integrating Windows Drivers to Windows Setup Boot and Recovery (WinPE) WIM Images.
+ Updated the Microsoft DaRT Pack for MSMG ToolKit with Updated Windows 10 Redstone Technical Preview Debug Tools Required for Crash Analyser.
+ Fixed a Bug in the Feature "Integrate Windows Updates", where the ToolKit would Terminate Right After the Integration of Windows Updates.
+ Fixed a Bug in the Feature "Integrate WHD Updates", where the DISM would Throw Source Image Corrupted Error When Multi-Index Mode Is Selected.

v4.0
+ Added MSMG ToolKit User Guide/Documentation in PDF format.
+ Improved the Feature "Convert Windows Store ESD Image to WIM Image".
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Redstone Technical Preview ESD Crypto Key.
+ Improved the Feature "Convert ESD Image to WIM Image".
+ Updated the Feature "Convert Source" to support Converting Windows 10 Core Single Language to Windows 10 Enterprise Edition.
+ Updated the Feature "Convert Source" to support Converting Windows 10 Enterprise to Windows 10 Education Edition.
+ Updated the Feature "Convert Source" to support Converting Windows 10 Enterprise N to Windows 10 Education N Edition.
+ Updated the Feature "Convert Source" to support Converting Windows Server 2016 Standard to Windows Server 2016 Datacenter Edition.
+ Fixed a Bug in the Feature "Integrate Windows Language Pack", where the ToolKit would Terminate Right After the Integration of Windows Language Packs.
+ Updated the Feature "Microsoft .Net Framework 3.5" to Search First in <DVD\sources\sxs> folder and If Not Found Then the <Packs\NetFX35\<OS>\<Arch>> folder for Microsoft .Net Framework 3.5 Source files.
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Updated the Microsoft Data Deduplication Pack for MSMG ToolKit with KB3137923, KB3138865 Update Packages CAB File (Windows 8.1 64-Bit Client Source OS Only - Thanks to MDL Member abbodi1406).
+ Updated the Microsoft DaRT Pack for MSMG ToolKit with Updated Windows 10 Redstone Technical Preview Debug Tools Required for Crash Analyser.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Fixed a Bug in the Feature "Remove Windows Components" Where the Removal of Cortana & Search Component would Remove the Sub-Package Instead of Main Package (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to support Windows Server 2016 Technical Preview 5 Source OS.
+ Updated the Feature "Remove Windows Components" to Hide Taskbar Search Icon When the Cortana & Search Component is Removed (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Partially Remove Xbox Components for Windows 10 Threshold 2/Redstone 1 Technical Preview/Server 2016 Technical Preview Source OS's.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Insider Hub App Component for Windows 10 Threshold 2 (February 2016 Refreshed) Source OS.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v3.9
+ Added support for Servicing Windows 10 Source OS on Windows 7 HOST OS (Thanks to MDL Members abbodi1406, Xinso).
+ Updated the Data Deduplication Pack for MSMG ToolKit with KB3127060 Update Package CAB File (Windows 8.1 64-Bit Client Source OS Only - Thanks to MDL Member abbodi1406).
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
- Temporarily Removed the Option to Remove Microsoft Biometrics, Microsoft Hyper-V Components under the Feature "Remove Windows Components" for Windows 7/Server 2008 R2 Source OS Due to a Bug.
+ Fixed a Bug in the Feature "Remove Windows Components" Where the Toolkit was Trying to Remove a Component Which didn’t exist in Windows 10 Threshold 1 Enterprise LTSB N Source OS.

v3.8
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Default Metro Apps" to Remove 3rd Party Metro Apps Links (Thanks to MDL Member Xinso).
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Biometrics, Microsoft Hyper-V Components for Windows 7/Server 2008 R2 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Embedded Features Component for Windows 10/Server Source OS.
+ Fixed a Bug in the Feature "Remove Windows Components" Where the Toolkit was Trying to Remove a Component Which didn’t exist in Windows 10 Threshold 1 Enterprise LTSB 32-Bit Source OS.
+ Fixed a Bug in the Feature "Remove Windows Components" Where the Toolkit failed to Remove the Windows Defender Component for Windows 10 Redstone Technical Preview Source OS (Thanks to MDL Member abbodi1406).

v3.7
+ Added ToolKit support for Windows 10 Redstone 1 Technical Preview OS.
+ Added a Warning Message for the Feature "Select Source from <DVD> folder" to Display "Can't Service Windows 10 Source OS Image" Message When the HOST OS Is a Windows 7/Server 2008 R2 OS.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Added support for Integrating Windows 10 Threshold 1/Threshold 2 Dynamic, OOBE, Installation Media Updates.
+ Added a Warning Dialogs for the Feature "Remove Windows components".
+ Updated the Feature "Remove Windows components" to Remove "Windows Insider Hub" and "Windows Flight Signing" Components under "Remove All Components" for Windows 10 Redstone 1 Technical Preview Source OS.
+ Fixed a Bug in the Feature "WIM Tools", where Exporting a Wim Image Index to the Same Wim Image, would Generate an Error.
+ Added an Option to Enable/Disable ToolKit's Info/Warning Dialogs under ToolKit's Tools->Options Menu.
+ Added an Option to Enable/Disable ToolKit Log Generation under ToolKit's Tools->Options Menu.

v3.6
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Fixed a Bug in the Feature "Make a DVD ISO Image", where the ToolKit would Generate an Error - "Missing Source OS Files" for Windows 7 32-Bit Source OS.

v3.5
+ Updated the Feature "Remove Windows Component" Menu to Remove Windows Content Delivery Manager Component (Windows 10 Threshold 1/Threshold 2 Source OS Only).

v3.4
+ Fixed a Bug in the ToolKit's WIM Manager Menu, where Selecting the "Go Back" Option would Terminate the ToolKit.
+ Fixed a Bug in the ToolKit's Options Menu, where Selecting the "Go Back" Option would Terminate the ToolKit.
+ Updated the Feature "Integrate WHD Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Windows Component" to Remove Windows Content Delivery Manager Component (Windows 10 Threshold 2 Source OS Only).
+ Fixed a Bug in the Feature "Make a DVD ISO Image", where the ToolKit would Generate an Error When the Source Installation Image is a Spanned Image (.swm).
+ Fixed a Bug in the Feature "WIM Manager", where the Option to Export WIM Image would Create the New WIM Image File without the .wim Extension.
+ Updated the Feature "WIM Manager" to Merge Spanned WIM Image to Single WIM Image.

v3.3
+ Added the WADK RTM (v10.0.10586.0) Tools for Windows 10 Threshold 2 RTM to ToolKit's Bin folder.
+ Removed wimtweak35.exe & wimtweak40.exe from ToolKit's Bin folder Instead the ToolKit now uses Direct Registry Method to UnHide Windows Components for Removal (Thanks to MDL Member lite8).
+ Improved ToolKit StartUp Screen Information. (Thanks to MDL Members Xinso or ELtie)
+ Improved Display WIM Image Information Screen to Show More Indexes.
- Removed Beep Sound At Every Feature Process Ending Screen.
+ Fixed a Bug in Taking File Ownership with Non English Source OS's by Using SetACL.exe Instead of Takeown.exe & icalcs.exe Commands.
* Merged the TakeFileOwnerShip & TakefolderOwnerShip Functions into TakeFilefolderOwnerShip.
+ Added a New Function TakeFilesOwnerShip Function to Take Ownership of a Group of files.
+ Updated the Function TakeRegistryOwnerShip to Use n:S-1-5-32-544 Account (Thanks to MDL Member abbodi1406).
+ To Avoid User Confusion Renamed the following Main Menu Items :

... Select Source - Source
... Apply Source  - Apply
... Select Target - Target

+ Updated the Feature "Convert Source WIM Edition" to support Windows 10 Single Language / N Editions.
* Merged Integrate Essential Features & Integrate Legacy Features Menu into Integrate Windows Features.
+ To Avoid User Confusion Renamed the following Features :

... Integrate Windows Security Updates & Hotfixes - Integrate Windows Updates
... Microsoft .Net Framework 3.5 Components - Microsoft .Net Framework 3.5
... Microsoft .Net Framework 4.6 Components - Microsoft .Net Framework 4.6.1
... Windows Calculator - Microsoft Win32 Calculator
... Windows To Go Workspace Feature - Windows To Go Workspace
... Fraunhofer MP3 Professional Codec - Fraunhofer MP3 Professional Codec Tweak
... Windows Media Center Generic Activation Tokens - Windows 8.1 Media Center Generic Activation Tokens
... Windows 8.1 Pre-Activation Data for Auto Activation - Windows 8.1 Pre-Activation Data & Tokens

+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Threshold 2 RTM ESD Crypto Key.
+ Updated the Feature "Integrate .NET Framework 3.5" to Use the Files Present in the <Packs\NetFX35> folder and not the <DVD\sources\sxs>.
+ Updated the Feature "Integrate .NET Framework 3.5" to support Windows 10 Threshold 2 RTM OS.
+ Updated the Microsoft .NET Framework 3.5 Pack for MSMG ToolKit with Windows 10 Threshold 2 .NET Framework 3.5 CAB files.
- Removed the Choose Language Menu in the Feature "Integrate .Net Framework 4.6.1 Language Pack".
+ Updated the Feature "Integrate .Net Framework 4.6.1 Language Pack" to Directly Extract the CAB File from the Language Pack File Present in the WHD Repo.
+ Updated the Feature "Integrate Microsoft Win32 Calculator" to support Windows 10 Threshold 2 RTM Source OS (Thanks to MDL Members abbodi1406, Xinso).
+ Updated the Data Deduplication Pack for MSMG ToolKit with KB3100527 Update Package CAB File (Windows 8.1 64-Bit Client Source OS Only - Thanks to MDL Member abbodi1406).
+ Updated the Data Deduplication Pack for MSMG ToolKit with Windows Server 2016 Technical Preview 4 Deduplication Base & MUI CAB Files (Windows 10 Threshold 2 64-Bit Client Source OS Only - Thanks to MDL Members : Moderate, abbodi1406).
+ Updated the Feature "Integrate Windows To Go Workspace" to use Original Windows To Go Workspace CAB Files for Windows 10 Threshold 2 RTM Source OS.
+ Updated the Windows To Go Workspace Pack for MSMG ToolKit with Windows 10 Threshold 2 RTM Enterprise Windows To Go Workspace CAB files.
+ Updated the Microsoft DaRT Pack for MSMG ToolKit with Updated Windows 10 Threshold 2 Debug Tools Required for Crash Analyser.
+ Updated the Feature "Integrate Windows Updates" to Use Separate Source folders for Windows Update & WHD Updates (Windows Update : <Updates>, WHD Updates <Packs>\<WHD>).
+ Updated the Feature "Integrate Windows Updates" to Integrate WHD Baseline Updates Only for these Images :

... Integrate to Windows Setup Boot Image
... Integrate to Windows Setup Install & WinRE Image
... Integrate to windows Setup Boot, Install & WinRE Image

+ Updated the Feature "Integrate Windows Updates" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows Calculator, Windows Store Apps (Windows Server 2016 TP4 Source OS Only).
+ Updated the Feature "Remove Windows Component" to Remove Additional Cortana Components Present in Windows 10 Threshold 2 RTM Source OS.
+ Updated the Feature "Remove Windows Component" to Remove BioMetrics & Hyper-V Components (Windows 8.1/Server 2012 R2-Windows 10/Server 2016 Source OS Only).
+ Added a New Sub Menu "Remove Advanced Windows Components" to Remove Windows Components Feature.
> Moved the Components Windows Manual Setup Feature, Windows Store Client, Windows System Restore to "Remove Advanced Windows Components".
+ Updated the Feature "Make a DVD ISO Image" to Use the "bootsect.exe" & "efisys.bin" Files from Source <DVD> folder Instead of ToolKit's Bin folder.
- Removed the Option to Choose BIOS/UEFI Boot Type in the Feature "Make a DVD ISO Image" Instead the ToolKit will use Both the Modes for Creating ISO Images.
+ Added a New Main Menu Item "Tools" and Moved the Main Menu Items "Debug" and "Options" to "Tools" Main Menu.
+ Added a Feature "WIM Manager" to Display, Delete, Rename, Split, Export WIM Image Indexes.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v3.2
+ Re-Ordered ToolKit's Select Source Main Menu's Sub Menu Items.
+ Improved the Feature "Convert Windows Store ESD Image to WIM Image".
+ Fixed Several Bugs in the Feature "Convert Source WIM Image to ESD Image".
+ Fixed Several Bugs in the Feature "Convert Source ESD Image to WIM Image".
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Fixed a Typo Error in the Feature "Integrate Microsoft DaRT Tools".
+ Updated the Feature "Remove Windows Components" to Retain the File "gatherosstate.exe", when the "Windows Manual Setup Feature" Component was Removed (Windows 10 Source OS Only).
+ Fixed a Bug in the Feature "Remove Windows Components", where the ToolKit Skipped System Restore Component Removal for Windows 10 Source OS When Remove All Components Option Was Selected.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v3.1
+ Made Changes to ToolKit's EULA.
+ Added ResourceHacker.exe to ToolKit's Bin folder.
+ Now MSMG ToolKit uses Microsoft DISM ESD Format for ToolKit Pack Files with .tpk Extension.
+ Now Integration of ToolKit's Pack are on Par with Microsoft Original Package Integration Process.
+ Updated Microsoft .NET Framework 4.6 Components, WTG, DaRT, DirectX 9.0c, Games, Sidebar, WMC Generic Tokens Packs with ToolKit's New .tpk Format.
+ Made Changes to ToolKit's Pack Environment Variable Names.
+ Updated ToolKit to support Windows 10 Threshold 2 Technical Preview Build 10565 Source OS.
+ Updated ToolKit to support Windows Server 2016 Technical Preview 3 Build 10537 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Newer Windows 10 ESD's Crypto Keys.
+ Added a Feature "Convert Microsoft Media Creation Tool (MCT) Image to WIM Image".
+ Fixed a Bug in the ToolKit's Convert Source Main Menu.
+ Fixed Error Validation for Empty Directory for the Feature "Integrate Windows Drivers" (Thanks to MDL Member Kenafri).
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Microsoft .NET Framework 4.6 Components Pack for MSMG ToolKit with Latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
+ Updated the Feature "Integrate Data Deduplication Feature" to Integrate KB3094197 Update Package (Windows 8.1 64-Bit Client Source OS Only - Thanks to MDL Member abbodi1406).
+ Updated the Data Deduplication Feature Pack for MSMG ToolKit with KB3094197 Update Package CAB File (Windows 8.1 64-Bit Client Source OS Only - Thanks to MDL Member abbodi1406).
+ Updated the Microsoft Windows Calculator Pack for MSMG ToolKit with Windows 10 Enterprise (LTSB) RTM Build 10.0.10240.16384 Windows Calculator MUI Package CAB files.
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where the Creation of winpeshlp.ini File was Corrupted.
+ Updated the Feature "Integrate Microsoft Games" to Patch the File gameux.dll.mui with Missing Windows 7 Games Localized Strings.
+ Updated the Feature "Integrate Microsoft Games" to support Windows Server 2008 R2/ 2012 R2/ 2016 TP3 Source OS.
+ Updated the Microsoft Games Pack for MSMG ToolKit with High Quality Icons for Windows XP Pinball & Carioca Rummy Games.
+ Updated the Microsoft Games Pack for MSMG ToolKit with Windows 7 Games Localized Strings Resource files.
+ Updated the Microsoft Games Pack for MSMG ToolKit with Microsoft Server 2008 R2, 2012 R2, 2016 TP3 English Microsoft Games Essential files.
+ Removed the Microsoft Terminal Server Patch Registry File as The ToolKit Now Uses the Reg.exe to Integrate the Tweak.
+ Removed the Fraunhofer MP3 Professional Codec folder from ToolKit Pack as The ToolKit Now Uses the Reg.exe to Integrate the Tweak.
+ Fixed Error Validation for Empty Directory for the Feature "Integrate Custom User Account Pictures" (Thanks to MDL Member Kenafri).
+ Fixed Error Validation for Empty Directory for the Feature "Integrate Custom System Overlay Files" (Thanks to MDL Member Kenafri).
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the Apps Removal Process failed on Non-English HOST OS.
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the Apps Removal Process Tried to Remove Apps that didn't exist in Windows 10 'N' Editions.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Threshold 2 Technical Preview Build 10565 (Messaging, Office Sway, Phone, Wireless) Metro Apps.
+ Updated the Feature "Remove Windows Components", with Error Handling for Components Which are Already Removed or Which Doesn't exists.
+ Fixed a Bug in the Feature "Remove Windows Components", where the Component Removal Process failed on Non-English HOST OS.
+ Fixed a Bug in the Feature "Remove Windows Components", where the Component Removal Process Tried to Remove Packages that didn't exist in Windows 10 'N' Editions.
+ Updated the Feature "Remove Windows Components" to support Windows Server 2008 R2/2012 R2/2016 TP3 Source OS.
+ Updated the Feature "Remove Windows Components" to Remove Windows Server 2008 R2 (Windows Defender Server) Component.
+ Updated the Feature "Remove Windows Components" to Remove Windows Server 2016 Technical Preview 3 (Windows Pre-release Server, Microsoft Antimalware Scan Interface, Windows Defender Server) Components.
+ Updated the Feature "Remove Windows Components" to Remove Windows 10 Threshold 2 Technical Preview Build 10565 (Microsoft Insider Hub, Skype Video) Apps Components.
+ Updated the Feature "Remove Windows Components", Renamed the Component "Remove Windows Setup Upgrade Feature" to "Windows Manual Setup Feature".
+ Updated the Feature "Remove Windows Components", Merged Cortana and Search Components (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components", Merged Microsoft OneCore TroubleShooting, Microsoft Windows DiagTrack, Windows Pre-release Client Components into Microsoft Telemetry Services (Windows 10 Source OS Only).
+ Fixed a Bug in the Feature "Make a DVD ISO Image for Burning to DVD Disc", where the ISO Image Creation failed with Install.esd Source Image File.
+ Renamed the Feature "Sync Source Boot.wim and Install.wim to USB Flash Drive" to "Sync Source Boot and Install Images to USB Flash Drive".
+ Fixed a Bug in the Feature "Sync Source Boot and Install Images to USB Flash Drive", where the Syncing Source Images failed with Install.esd Source Image File.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v3.0
+ Renamed the File WimTweak.exe as WimTweak35.exe in ToolKit's Bin folder.
+ Re-Compiled WimTweak.exe (install_wim_tweak.exe) source into Microsoft .NET Framework 4.0 Runtime Executable and Renamed it as WimTweak40.exe.
+ Added the File WimTweak40.exe to ToolKit's Bin folder.
+ The ToolKit Now Uses WimTweak35.exe on Windows 7 HOST OS and WimTweak40.exe on Windows 8.x/10 HOST OS for Removing Windows Components Feature.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Newer Windows 10 ESD's Crypto Keys.
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
- Removed the Feature "Install Microsoft .NET Framework 3.5 Components".
+ Updated the Feature "Integrate Microsoft Default Metro Apps" to support Windows 10 Default Metro Apps Integration (Thanks to MDL Member abbodi1406).
+ Updated the Microsoft DaRT Pack for MSMG ToolKit with Microsoft DaRT 10 Tools for Windows 10 RTM (Thanks to MDL Members EF1, Murphy).
+ Fixed Several Bugs in the Feature "Remove Default Metro Apps".
+ Fixed Several Bugs in the Feature "Remove Windows Components".
+ Updated the Feature "Remove Windows Components", Separated Microsoft Windows Cortana & Search Components (Windows 10 Source OS Only).
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v2.9
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise RTM Build 10.0.10240.16384 WinToGo MUI files.
+ Fixed a Bug in the Feature "Install Microsoft .NET Framework 3.5 Components", where Installing .NET Framework 3.5 Components failed to Set the Variable IsNetFx35Installed=1 on Windows 10 HOST OS.
+ Fixed a Bug in the Feature "Integrate Custom Default Account Pictures", where the Error Checking for Empty folders failed.
+ Updated the Feature "Remove Windows Components" with Clean Interface and Improved Component Removal Speed.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Windows Cortana & Search (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Xbox (Windows 10 Source OS Only).
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v2.8
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Edge Browser App (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Telemetry Client (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove Microsoft Pre-release Client (Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove Windows Retail Demo Offline Content (Windows 10 Source OS Only).

v2.7
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Newer Windows 10 ESD's Crypto Keys.
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.

... supports Integrating Windows 10 WHD Baseline Updates.
... supports Integrating .NET Framework 4.6 Components (Windows 8.1/Server 2012 R2 Source OS).
... supports Integrating .NET Framework 4.6 Components Language Packs (Windows 8.1/Server 2012 R2 Source OS).

+ Fixed a Bug in the Feature "Integrate Windows Device Drivers", where the Error Checking for Empty folders failed on Non-English HOST OS.
+ Updated .NET Framework 3.5 Pack for MSMG ToolKit with Windows RTM Build 10.0.10240.16384 .NET Framework 3.5 CAB files.
+ Removed the Feature "Integrate Microsoft .NET Framework 4.5.2 Components".
+ Added a Feature "Integrate Microsoft .NET Framework 4.6 Components" for Windows 7/Thin PC/Server 2008 R2 Source OS (Thanks to MDL Member abbodi1406).
+ Updated the Data Deduplication Feature Pack for MSMG ToolKit by Removing Un-supported Windows 10 Technical Preview Build 10.0.10074.0 Data Deduplication English files.
> Moved the Feature "Integrate Microsoft Calculator" to Integrate Essentials Features Menu as "Integrate Microsoft Windows Calculator".
+ Updated the Feature "Integrate Microsoft Windows Calculator" to Use Windows 10 Enterprise (LTSB) RTM Build 10.0.10240.16384 Windows Calculator Package.
+ Updated the Microsoft Windows Calculator Pack for MSMG ToolKit with Windows 10 Enterprise (LTSB) RTM Build 10.0.10240.16384 Windows Calculator English [en-US] Package CAB files.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise RTM Build 10.0.10240.16384 WinToGo Files (Thanks to MDL Member's Kenafri & Moderate).
+ Updated the Feature "Integrate Microsoft DaRT Tools" to support Windows 10 DaRT Tools (Currently Uses the Same Windows 8.1 DaRT Tools but with Windows 10 Debug Tools).
+ Updated the Microsoft DaRT Pack for MSMG ToolKit with Updated Windows 8.1/10 Debug Tools Required for Crash Analyser.
+ Fixed a Bug in the Feature "Integrate Microsoft Games", where the "Integrate Windows 7 Games" Option was Importing a Wrong Registry File.
+ Added an Option to the Feature "Remove Default Metro Apps" to Remove "All Metro Apps (Except Store)" (Windows 10 Source OS).
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v2.6
+ Added the WADK RTM (v10.0.10240.16384) Tools for Windows 10 RTM to ToolKit's Bin folder.
+ Re-Added the WADK (v6.3.9600.17029) Tools for Windows 8.1 to ToolKit's BIN folder due to Compatibility Issues on Windows 7 HOST OS.
+ Made Changes to ToolKit to Use the DISM v6.3.9600.17029 for Servicing Windows 7/8.x Source WIM Images on Windows 7 HOST OS's.
+ Made Changes to ToolKit to Use the DISM v10.0.10240.16384 for Servicing Windows 7/8.x/10 Source WIM Images on Windows 8.x/10 HOST OS's.
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10166.0 Source OS.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image", to support newer Windows 10 Technical Preview ESD's Crypto Keys.
+ Updated the Microsoft .NET Framework 4.5.2 Pack for MSMG ToolKit with latest Updates and Hotfixes (Thanks to MDL Member abbodi1406).
- In the Feature "Remove Windows Components" Removed support for these Components Removal (Checkpoint, F5, Juniper, SonicWALL VPN Plugins) for Windows 10 Technical Preview Source OS.
+ Simplified the Feature "Format USB Flash Drive" with Just Only Two options BIOS, BIOS/UEFI.

v2.5
+ Made Changes to ToolKit to Use the DISM v10.0.10075.0 for Servicing Windows 7/8.x/10 Source WIM Images on Windows 7/8.x HOST OS's.
+ Made Changes to ToolKit to Use the Built-In DISM Executable for Servicing Windows 7/8.x/10 Source WIM Images on Windows 10 Technical Preview HOST OS's.
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10147.0 Source OS.
+ Added a Feature "Convert Windows WIM Image to ESD Image" in ToolKit's Select Source Main Menu Item.
+ Added a New Main Menu Item "Convert" to Convert Source WIM Editions with the following Sub-Menus/Features :

	--> (Windows 8.1 Source OS Only)
			Convert Core to Pro Edition
			Convert Core to Pro WMC Edition
			Convert Pro to Pro WMC Edition

	--> (Windows 10 Source OS Only)
			Convert Core to Education Edition
			Convert Pro to Education Edition
			Convert Pro to Enterprise Edition

+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
- Removed the Feature "Integrate Windows 8.1 Media Center Add-on".
- In the Feature "Integrate Windows Media Center Generic Activation Tokens" Removed support for Windows 10 Technical Preview Source OS.
+ Updated the Feature "Integrate Custom Default User Account Pictures", to support Windows 10 Technical Preview Build 10.0.10147.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.10147.0 Source OS.
- In the Feature "Remove Default Metro Apps" Removed these Windows 10 Default Metro Apps (Microsoft Connectivity Store, Windows Reading List, Windows Scan).
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft App Connector, Microsoft Office Hub, Microsoft Windows Phone) Metro Apps.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v2.4
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10135.0 Source OS.
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Fixed an Error in the Feature "Integrate Windows Security Updates & Hotfixes", where %WimIndexInstallType% was wrongly used instead of %WimIndexEdition%.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build 10.0.10135.0 WinToGo files.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.10135.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft Skype App) Metro App.
+ Updated the Feature "Remove Windows Components" to Remove Checkpoint, F5, Juniper, SonicWALL VPN Plugins (Windows 8.1/10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove Windows Diagnostic Tracking Feature (Windows 10 Source OS Only).

v2.3
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10130.0 Source OS.
+ Updated the Feature "Integrate WHD Baseline Updates" (Removed KB2959977).
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build 10.0.10130.0 WinToGo Files (Thanks to MDL Member Kenafri).
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.10130.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft 3D Builder, Microsoft Connectivity Store) Metro Apps.
- In the Feature "Remove Default Metro Apps" Removed these Windows 10 Default Metro Apps (Microsoft Bing Food and Drink, Microsoft Bing Health and Fitness, Microsoft Music Preview, Microsoft Reader, Microsoft Video Preview, Microsoft Xbox LIVE Games).
- In the Feature "Remove Default Metro Apps" Removed these Windows 10 Default Metro Apps (Microsoft AAD Broker Plugin, Microsoft Cortana, Microsoft Insider Hub, Microsoft Feedback, Windows Default Lock Screen) from the Experimental Apps Menu.
+ Updated the Feature "Remove Windows Components" to Remove Windows Contact support, Windows Feedback (Windows 10 Source OS Only).

v2.2
+ Added the New WADK RC for Windows 10 Technical Preview Tools to ToolKit's Bin folder.
+ Updated the Feature "Integrate Data Deduplication Feature" with support for Data Deduplication MUI files (Windows 8.1 64-Bit Client Source OS Only).
+ Updated the Data Deduplication Feature Pack for MSMG ToolKit with Windows 8.1 Data Deduplication MUI files.
+ Updated the Data Deduplication Feature Pack for MSMG ToolKit with Windows 10 Technical Preview Build 10.0.10074.0 Data Deduplication English files.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build 10.0.10074.0 WinToGo Files (Thanks to MDL Member Kenafri).
+ Updated the WTG Pack for MSMG ToolKit with Missing Windows 8.1 Enterprise WinToGo MUI files.

v2.1
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10061.0 Source OS.
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Updated the Feature "Integrate WHD Baseline Updates" (Replaced KB3012199 with KB3021910).
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build v10.0.10061.0 WinToGo Files (Thanks to MDL Member Kenafri).
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.10061.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft People, Microsoft Video Preview) Metro App.
+ Updated the Feature "Remove Windows Components" to Remove Windows System Restore (Windows 8.1/Windows 10 Source OS Only).

v2.0
+ Updated ToolKit to support Windows Server 2008 R2/2012 R2/2016 Core Editions.
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10056.0 Source OS.
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Fixed a Bug in the Feature "Integrate Windows Security Updates & Hotfixes", where a Variable Declaration was Missing.
+ Updated the Feature "Integrate WHD Baseline Updates" to Integrate WHD Baseline Updates to Boot, Install and WinRE Images at Once.
+ Updated the Feature "Integrate WHD Additional Updates" to Integrate Remote Desktop Protocol 8.1 Feature instead of both 8.0 and 8.1.
+ Updated the Feature "Integrate WHD Additional Updates" to Integrate (Internet Explorer 11, Remote Desktop Protocol 8.1) for Windows Thin PC Source OS.
+ Updated the Feature "Integrate WHD Additional Updates" to Integrate Windows 10 Upgrade Preparation Updates for Windows 7/Windows 8.1 Source OS.
+ Fixed a Bug in the Feature "Integrate Custom Updates" Where It Wrongly Integrated WHD General Updates for Windows Thin PC Source OS.
+ Added a Feature "Integrate Microsoft .NET Framework 4.5.2 Components" for Windows 7/Thin PC/Server 2008 R2 Source OS (Thanks to MDL Member abbodi1406).
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build v10.0.10049.0 (32-Bit) WinToGo files.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build v10.0.10056.0 (64-Bit) WinToGo files.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.10056.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft Solitaire Collection Preview, Microsoft Music Preview) Metro App.
- In the Feature "Remove Default Metro Apps" Removed these Windows 10 Default Metro Apps (Microsoft Accounts Control, Microsoft Answer Desk, Microsoft Cloud Experience Host) from the Experimental Apps Menu.
+ Fixed a bug in the Feature "Remove Windows Components", where the Component Removal - "Windows Defender WOW64 Client" was required only for Windows 10 64-Bit Source OS.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v1.9
+ Added the New WADK for Windows 10 Technical Preview Tools to ToolKit's Bin folder.
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.10041.0 Source OS.
+ Made Changes to ToolKit to Use the DISM v10.0.10041.0 for Servicing Windows 8.x and Windows 10 Source WIM Images.
+ Fixed a Bug in the Feature "Integrate WHD Additional Updates", where Integrate Windows Update Satisfy Updates failed to Integrate the WMC Related Updates.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build 10.0.10041.0 WinToGo files.
+ Fixed a Bug in the Feature "Integrate Microsoft Games", where the Microsoft Sudoku Game Missing MUI's didn't Use "en-US" as fall-back MUI.
+ Updated Microsoft Games Pack for MSMG ToolKit with Microsoft Pinball MUI Files (Thanks to MDL Member Kenafri).
+ Updated the Feature "Integrate Microsoft Games" to Integrate Microsoft Pinball MUI files.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.10041.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft Accounts) Metro App.
> In the Feature "Remove Default Metro Apps" Moved these Windows 10 Default Metro Apps (Microsoft AAD Broker Plugin, Microsoft Accounts Control, Microsoft Answer Desk, Microsoft Cloud Experience Host, Microsoft Cortana, Microsoft Get started, Microsoft Insider Hub, Microsoft Feedback, Windows Default Lock Screen) to a New Sub-Menu - "Experimental Apps".
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v1.8
+ Renamed MSMG ToolKit for Windows 7-10 / Server 2008 R2-2012 R2 to MSMG ToolKit.
+ Fixed a Bug in the MSMG ToolKit's Function "StartUp", where the ToolKit failed to Display HOST OS Language for Non-English HOST OS.
+ Updated Microsoft DirectX 9.0c Pack for MSMG ToolKit to support Dynamic Registry Path Entries.
+ Updated Microsoft Games Pack for MSMG ToolKit to support Dynamic Registry Path Entries.
+ Fixed a Bug in the Feature "Integrate Microsoft Games", where the Games Explorer Start menu Shortcut was not Copied When Selected Games Were Integrated.
+ Fixed a Bug in the Feature "Integrate Microsoft Games", where the “gamescard.dll” File was not Copied When Selected Games Were Integrated.
+ Updated Microsoft Windows Sidebar Pack for MSMG ToolKit to support Dynamic Registry Path Entries.
+ Updated Fraunhofer MP3 Professional Codec Pack for MSMG ToolKit to support Dynamic Registry Path Entries.
+ Updated the Feature "Remove Windows Components" to Remove Windows Defender (Windows 8.1/Windows 10 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove Windows Embedded Lockdown Manager (ELM) (Windows 8.1 Update 3 Source OS Only).
+ Updated the Feature "Remove Windows Components" to Remove All Windows Components at Once.
+ Added a Validation Check for the Feature "Format USB Flash Drive” to Verify Whether the Specified USB Flash Drive exists or Not.
+ Added a Few Localization Strings for the ToolKit’s Function “ListDisks”.
+ Added a Few Localization Strings for the ToolKit’s Function “TakefolderOwnerShip”.
+ Fixed ToolKit Semantic Errors.

v1.7
+ Added the New WADK for Windows 10 Technical Preview Tools to ToolKit's Bin folder.
+ Made Changes to ToolKit to Use the DISM v6.3.9600.17029 for Servicing Windows 7 Source WIM Images.
+ Made Changes to ToolKit to Use the DISM v10.0.9933.0 for Servicing Windows 8.x and Windows 10 Source WIM Images.
+ Updated the ToolKit's Function "StartUp" to Display HOST OS Language Information in ToolKit’s Start Up Screen.
+ Updated the ESDDecrypt.exe Program with the Latest Version.
+ Updated ToolKit to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Added a Validation Check for the Feature "Copy Source from DVD Drive" to Check Whether the Source <DVD> folder Is Empty.
+ Added a Validation Check for the Feature "Extract Source from DVD ISO Image" to Check Whether the Source <DVD> folder Is Empty.
+ Added a Validation Check for the Feature "Extract Source from OEM IMG Image" to Check Whether the Source <DVD> folder Is Empty.
+ Added a Validation Check for the Feature "Copy Source from DVD Drive" to Check Whether the Specified DVD Drive Contains Valid Windows Setup Images.
+ Added a Validation Check for the Feature "Extract Source from DVD ISO Image" to Check Whether the Specified DVD ISO Image File exist or Not.
+ Added a Validation Check for the Feature "Extract Source from OEM IMG Image" to Check Whether the Specified OEM IMG Image File exist or Not.
+ Fixed a Bug in the Feature "Convert Windows Store ESD Image to WIM Image", where the EI.cfg File Writing was Assigning ProfessionalWMC as EditionID for all the Editions.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Fixed a Bug in the Feature "Integrate Windows Security Updates & Hotfixes", where the Code to Check for WIM Architecture was missing for Multi-Index Servicing Mode.
+ Updated the Feature "Integrate Windows Security Updates & Hotfixes" to Reflect the WHD Hotfix Repository Update List.
+ Fixed a Bug in the Feature "Integrate WHD Baseline Updates", where the WinRE WIM Image Architecture was Not Detected Properly.
+ Updated the Feature "Integrate WHD Additional Updates" to Integrate NFS, SUA, Virtual PC (Windows 7 / Server 2008 R2 Source OS Only).
+ Updated the Feature "Install Microsoft .NET Framework 3.5 Components", where the need to Check for .NET Framework 3.5 Components Was Not Required.
+ Fixed a Bug in the Feature "Integrate Microsoft .NET Framework 3.5 Components", where the Integration failed with the Windows 10 Technical Preview Source OS.
+ Updated the Feature "Integrate Windows Media Center Add-on Feature" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Updated the Feature "Integrate Windows Data Deduplication Feature" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Updated the Feature "Integrate Windows To Go Workspace Feature" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where the WinRE WIM Image File Path Was Not Detected Properly.
+ Added a Feature "Integrate Microsoft Calculator" for Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Fixed Registry Filename Bugs in the Microsoft Games Pack for MSMG ToolKit.
+ Removed 64-Bit Registry Entries from 32-Bit Registry Files in Microsoft Games Pack for MSMG ToolKit.
+ Fixed a Bug in the Feature "Integrate Microsoft Games", where the Code to Check for WIM Architecture was missing for Multi-Index Servicing Mode.
+ Updated Microsoft Games Pack for MSMG ToolKit with Tinker, Hold'Em Games MUI Files (Thanks to MDL Member ElDiabl0).
+ Updated the Feature "Integrate Microsoft Games" to Integrate Tinker, Hold'Em Games MUI files.
+ Updated the Feature "Integrate Microsoft Games" to Remove Windows Media Center Games Shortcuts Links for Non Windows Media Center Edition Source OS.
+ Updated the Feature "Integrate Windows Sidebar Feature" to Remove Windows Media Center Gadget for Non Windows Media Center Edition Source OS.
+ Updated the Feature "Integrate Windows Media Center Generic Activation Tokens" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Updated the Feature "Integrate Pre-Activation Details for Auto-Activation" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Fixed a Bug in the Feature "Integrate Custom Windows Recovery Environment (WinRE)", where the WinRE WIM Image Architecture was not Detected Properly.
+ Updated the Feature "Remove Default Metro Apps" to support Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Technical Preview Default (Microsoft AAD Broker Plugin, Microsoft Answer Desk, Microsoft Content Delivery Manager, Microsoft Getstarted, Microsoft Windows Photos, Microsoft Windows Camera, Microsoft Windows Maps, Microsoft Windows Store, Microsoft XboxApp) Metro Apps.
+ Updated the Feature "Remove Windows Components" to Remove Microsoft OneDrive (Desktop) for Windows 10 Technical Preview Build 10.0.9926.0 Source OS.
+ Fixed a Bug in the Feature "Format a USB Flash Drive" Where the ToolKit Function "ListDisks" failed to Display the List of Available Removalable Disks on Non-English HOST OS.
+ Added a New Hidden Feature "Debug" to MSMG ToolKit Main Menu to Display ToolKit's Global Variables Information for Troubleshooting When the Letter 'D' is Pressed in Main Menu Screen.
+ Fixed a Bug in the ToolKit's Function "Importreg2wim" Where the endlocal Variable was Not Defined.

v1.6
+ Updated ToolKit to Service All WIM Indexes at Once.
+ Fixed a Bug in the Feature "Integrate WHD General Updates", where the Updated Windows Update Client .CAB Files were not Integrated.
+ Fixed a Bug in the Feature "Integrate .NET Framework 3.5 Components", where the SxS folder Path Was Not Set Properly.
+ Fixed a Bug in the Feature "Integrate Data Deduplication Feature", where the setlocal and endlocal Variables Were Not Defined.
+ Fixed a Bug in the Feature "Integrate WinToGo Workspace Feature", where the setlocal and endlocal Variables Were Not Defined.
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where the Toolkit Header was Missing for Error Validation Check.
+ Renamed the Feature "Integrate Microsoft Legacy Games" to "Integrate Microsoft Games".
+ Renamed Microsoft Windows Legacy Games Pack for MSMG ToolKit to Microsoft Games Pack for MSMG ToolKit.
+ Updated the Feature "Integrate Microsoft Games" with an Option to Choose Selected Games for Integration.
+ Fixed a Bug in the Feature "Integrate Microsoft Games", where a Comment Line with a Delete Word was Causing an Invalid Drive Error.
+ Fixed a Bug in the Feature "Integrate Windows Sidebar", where folder Path Double Quotes Were Missing.
+ Fixed ToolKit Semantic Errors.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v1.5
+ Updated the MSMG ToolKit's TakeFileOwnerShip and TakefolderOwnerShip Functions to Use the Group "S-1-5-32-544" Instead of "Everyone" to support Multilingual Windows HOST OS.
> Moved the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1" to "Integrate Windows Security & Hotfixes".
+ Renamed the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1" to "Integrate WHD Baseline Updates".
+ Renamed the Feature "Integrate Windows Additional Updates" to "Integrate WHD Additional Updates".
+ Renamed the Feature "Integrate Windows General Updates" to "Integrate WHD General Updates".
+ Renamed the Feature "Integrate Windows Hotfixes Updates" to "Integrate WHD Hotfixes Updates".
+ Renamed the Feature "Integrate Windows Security Updates" to "Integrate WHD Security Updates".
+ Renamed the Feature "Integrate Windows Extra Updates" to "Integrate WHD Extra Updates".
+ Updated the Feature "Integrate WHD Baseline Updates " to support Windows 8.1 with Update Refresh IR5 Build 6.3.9600.17415.
+ Fixed a Bug in the Feature "Install .NET Framework 3.5 Components", where the Installation was Not Working Properly with Windows 10 Technical Preview OS.
+ Fixed a Bug in the Feature "Integrate .NET Framework 3.5 Components", where the Integration was Not Working Properly with Windows 10 Technical Preview OS.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build 9901 WinToGo 64-Bit files.
+ Fixed a Bug in the Feature "Integrate Microsoft Legacy Games", where the Integration was Not Working Properly with Windows 10 Technical Preview OS.

v1.4
+ Updated MSMG ToolKit EULA.
+ Fixed a Bug in ToolKit's Start-up Function, where the Detection of Microsoft .NET Framework Components was Not Working Properly.
+ Improved MSMG ToolKit Dynamic Menu System for Integrate and Remove Main Menu Items.
+ Fixed a Bug in the Feature "Convert Windows Store ESD Image to WIM Image", where the ESD File Validation Check was Not Working Properly.
+ Updated the Feature "Convert Windows Store ESD Image to WIM Image", to support Windows 10 Technical Preview ESD Images.
+ Updated the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1" (Removed KB2975061, KB2989647, KB2966870, KB2989647, Added KB3000850, KB3014442, KB3003057).
+ Updated the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1" to support Windows 8.1 Store Updated IR4 Build 17056 Images.
+ Updated the Feature "Integrate Windows Security & Hotfixes", to Reflect the WHD Hotfix Repository Update List.
+ Fixed a Bug in the Feature "Install .NET Framework 3.5 Components", where the Source OS Validation Check was Not Working Properly.
+ Fixed a Bug in the Feature "Integrate .NET Framework 3.5 Components", where the Source OS Validation Check was Not Working Properly.
- Removed Windows 10 .NET Framework 3.5 Components Source Files from Microsoft .NET Framework 3.5 AIO Pack for MSMG ToolKit, Due to Changes in SXS folder in Each Preview Builds.
+ Fixed a Bug in the Feature "Integrate Windows Media Center Add-on Feature", where the Validation of Source WIM Image failed with Valid Windows Pro Retail Image.
+ Fixed a Bug in the Feature "Integrate Windows Media Center Add-on Feature", where Re-Mounting of the Source WIM Images didn't Update the WIM Image Information.
+ Updated the Feature "Integrate Data Deduplication Feature", Using the Updated abbodi1406 DeDup Pack.
+ Updated the Data Deduplication Feature Pack for MSMG ToolKit with abbodi1406 DeDup Pack files.
+ Updated the WTG Pack for MSMG ToolKit with Windows 10 Enterprise Technical Preview Build 9879 WinToGo files.
+ Updated the Feature "Integrate Custom UxTheme Patch", to support Windows 8.1/Server 2012 R2/Windows 10 Technical Preview OS.
+ Fixed a Bug in the Feature "Integrate Custom Default Account Pictures", where Takeownership of Files failed when Source OS was Windows 7.
+ Added a New Menu Item "Remove Windows Components" to Remove Main Menu Item.
> Moved the Feature "Remove Default Metro Apps" (OneDrive, Camera and Store) to the Feature "Remove Windows Components".
+ Fixed a Bug in the Feature "Remove Default Metro Apps", where the ToolKit Title was Not Displayed for Windows 10 Source OS.
+ Updated the Feature "Remove Default Metro Apps" to Remove Windows 10 Default (Microsoft Insider Hub, Windows Shell Experience Host, Windows Default Lock Screen) Metro Apps.
+ Added a Feature "Remove Windows Setup Upgrade Feature".

+1.3
+ Renamed MSMG ToolKit for Windows 7-8.1 / Server 2008 R2-2012 R2 to Windows 7-10 / Server 2008 R2-2012 R2.
+ MSMG ToolKit Now Uses the Built-In DISM Executable for Windows 8.1 / Server 2012 R2 / Windows Technical Preview HOST OS's.
+ Fixed the Bug in ToolKit's StartUp Function, where the Detection of Microsoft .NET Framework Components failed.
+ Added ToolKit support for Windows 10 Technical Preview OS.
+ Fixed a Bug in the Feature "Integrate Windows Security Updates & Hotfixes", where Internet Explorer 11 supporting Package Was Not Properly Integrated.
+ Added a Validation Check for the Feature "Integrate Windows Device Drivers", to Check Whether Drivers folder are Empty.
+ Updated the Feature "Install .NET Framework 3.5 Components", to support Windows 10 HOST OS.
+ Updated the Feature "Integrate .NET Framework 3.5 Components", to support Windows 10 Source OS.
+ Updated the Feature "Integrate Data Deduplication Feature", to support Windows 10 Source OS.
+ Updated Data Deduplication Feature Pack for MSMG ToolKit with support for Windows Server Technical Preview English Data Deduplication Package.
+ Updated the Feature "Integrate WinToGo Workspace Feature", to support Windows 10 Source OS.
+ Updated the WinToGo Feature Pack folder with Windows 10 Technical Preview Enterprise Edition English WinToGo files.
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where the DaRT Language Menu Selection Value was Wrongly Assigned.
+ Updated the Feature "Integrate Microsoft DaRT Tools", to support Windows 10 Source OS.
+ Fixed a Bug in the Feature "Integrate Windows Sidebar Feature", where the Echo Command Re-Directing was Using a Hard-Code Path for SetupComplete.cmd File.
+ Added More User Account Picture Avatars for Windows 7 Source OS.
+ Updated the Feature "Integrate Custom Default User Account Pictures", to support Windows 10 Source OS.
+ Updated the Feature "Remove Default Metro Apps", to support Windows 10 HOST OS.
+ Added an Option to the Feature "Remove Default Metro Apps" to Remove Default (Microsoft Cloud Experience Host, Microsoft Cortana, Microsoft Feedback) Metro Apps.
+ Fixed ToolKit Semantic Errors.
+ Optimized ToolKit Code.
- Removed Redundant Codes.

v1.2
+ Updated the MSMG ToolKit's BIN folder with Updated DISM Packages.
+ Added a Feature "Extract Source from OEM IMG Image".
* Merged the Select Source from ESD Image Menu Items with Select Source Menu.
+ Added WIM Image Component Clean-up Task for WinPE Updates in The Feature "Integrate Windows Security Updates & Hotfixes".
+ Fixed a Typo Error in the Feature "Integrate Windows Media Center Add-on Feature", where the Character '>' was Wrongly Used Instead of '|' in Source OS Validation Check for Retail Edition on Windows 8.1 Pro 64-Bit VL Edition.
+ Fixed a Bug in the Feature "Integrate Windows Media Center Add-on Feature", where Source OS Validation Check for Retail Edition failed on Windows 8.1 Pro 64-Bit VL Edition.
+ Fixed a Bug in the Feature "Remove Default Metro Apps" Where Version Checking failed with Default Metro Apps (Filemanger/OneDrive/Photos, Camera, Store).

v1.1
+ Added HOST OS Information to MSMG ToolKit's Start-up Window.
+ Fixed the Bug in ToolKit's Start-up Function, where the Detection of Microsoft .NET Framework Components failed on Windows 7 HOST OS.
- Removed WADK 8.1 Tools Build 17031 Pack for MSMG ToolKit to Avoid Confusion for Windows 7 HOST OS Users.
+ The ToolKit Integrate Menu Interface is Completely Re-designed with Simplified Menus for Easy Operation.
+ The ToolKit Integrate Menu Items Now Consists of :

	Windows 8.1 / Server 2012 R2 Update 1 (Windows 8.1 / Server 2012 R2 Source OS Only)
	Windows Language Packs
    Windows Security Updates & Hot-fixes
	Windows Device Drivers
	Windows Essentials Features
	--> (Windows 8.1 / Server 2012 R2 Source OS Only)
			Microsoft .NET Framework 3.5 Components
			Windows Media Center Add-on Feature
			Windows Data Deduplication Feature
			Windows To Go Workspace Feature
			Microsoft Default Metro Apps
			Microsoft DaRT 8.1 Tools
	--> (Windows 7 / Thin PC / Server 2008 R2 Source OS Only)
			Microsoft DirectX 9.0c Components
			Microsoft Legacy Games
			Microsoft DaRT 7.0 Tools
			Windows Thin PC Add-on Features (Windows Thin PC Source OS Only)
			Windows Legacy Features (Windows 8.1 / Server 2012 R2 Source OS Only)
			Microsoft DirectX 9.0c Components
			Microsoft Legacy Games
			Windows Sidebar Feature
			Windows Custom Features 
			Windows Media Center Generic Activation Tokens (Windows 8.1 Source OS Only)
			Pre-Activation Details for Auto-Activation
			Microsoft Terminal Server Patch
			Fraunhofer MP3 Professional Codec
			Custom Themes UxTheme Patch (Windows 7 / Thin PC / Server 2008 R2 Source OS Only)
			Custom Windows Recovery Environment (WinRE)
			Custom Default User Account Pictures
			Custom System Overlay Files
		
+ Added a Feature "Copy Source from DVD Drive".
+ Added a Feature "Extract Source from ISO Image".
+ Added a Feature "Convert ESD Image to WIM Image".
+ Added a Validation Check for Input Index Number in the Select Source Feature.
+ Added a MS Guideline Descriptions for Integrate Language Packs, Feature Packs, Windows Updates Features.
+ Updated the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1" (Replaced KB2969339 with KB2975061, Added KB2989647).
+ Updated the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1", to Dynamically Choose Baseline or Baseline Supplementary Updates for Windows 8.1 RTM/Update 1 Source.
+ Added a Feature "Integrate Windows Setup Media Updates".
+ Now The ToolKit Extracts Windows Setup Media Update Files from Boot.wim & Install.wim to DVD folder.
- Removed the Windows 8.1 / Server 2012 R2 Update 1 Setup DVD Media Pack for MSMG ToolKit.
+ Updated the Feature "Integrate Windows Security Updates & Hot-fixes" to support WHD Downloader Repository folder Structure.
+ Fixed a Bug in the Feature "Integrate Windows Media Center Add-on Feature", where Checking for Source WIM Image Edition Skipped Windows Pro VL Edition.
+ Added a Feature "Integrate Default Metro Apps".
- Removed Microsoft Internet Explorer 11 Pack for MSMG ToolKit, As ToolKit Now supports WHD Downloader Repository folder Structure.
+ Fixed a Bug in the Feature "Integrate Microsoft DaRT Tools", where the Language Menu Selection was not Working Properly.
+ Renamed the Feature "Integrate Windows Vista & 7 Games Pack" as "Integrate Microsoft Legacy Games Pack".
+ Updated Microsoft Legacy Games Pack for MSMG ToolKit with support for Microsoft Carioca Rummy, Sudoku, Thinker Level Editor.
+ Updated the Feature "Integrate Windows Sidebar Feature", to Write the SetupComplete.cmd file to Installation DVD <$oem$\$$\Setup\scripts> folder.
+ Added a Feature "Integrate Custom UxTheme Patch", (Windows 7 / Thin PC / Server 2008 R2 Source OS Only).
+ Updated the Feature "Remove Default Metro Apps" with Version Checking for Updated Default Metro Apps.
+ Added a New Menu Item "Options" to the MSMG ToolKit's Main Menu.
+ Added a Feature "Change MSMG ToolKit Color Settings".
+ Fixed ToolKit Semantic Errors.
- Removed Redundant Codes.

v1.09
+ Released the Source Code for MSMG ToolKit for Windows 7-8.1 / Server 2008 R2-2012 R2.
+ Now, The ToolKit is Distributed as Batch Command Script File and No More Packed EXE's.
+ Changed the Method to Convert Windows 8.1 Store Updated ESD Image to WIM Image using Direct Export Method Instead of VHD Apply & Capture Method.
+ Updated the Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1" (Replaced KB2919442 with KB2969339, Added KB2966870).
+ Updated Internet Explorer 11 Pack for MSMG ToolKit with Internet Explorer 11 Updates.
+ Updated Microsoft DaRT 7/8.1 Tools Pack for MSMG ToolKit with Debug Tools Required for Crash Analyzer.
+ Updated Microsoft DaRT 7/8.1 Tools Pack for MSMG ToolKit with support for (es-ES, it-IT, ja-JP, ko-KR, pt-BR, zh-CN, zh-TW) Languages.
+ Added a Language Selection Menu to the Feature - "Integrate Microsoft DaRT Tools".
+ Updated Data Deduplication Feature Pack for MSMG ToolKit with KB2919355 Update Package.
+ Added MUI Languages support to the Feature - "Integrate Windows Vista & Windows 7 Games Pack".
+ Updated Windows Vista & Windows 7 Games Pack for MSMG ToolKit with support for All Available Languages (Except for HoldEm, Pinball & Tinker Games).
+ Added Vista Gadgets (Contacts, Notes, Stocks) to the Feature - "Integrate Windows Sidebar Feature".
+ Updated Windows Sidebar Pack for MSMG ToolKit with Vista Gadgets (Contacts, Notes, Stocks).
+ Added MUI Languages support to the Feature - "Integrate Windows Sidebar Feature".
+ Updated Windows Sidebar Pack for MSMG ToolKit with support for All Available Languages (Except Chinese (Taiwan) Language for Vista Gadgets (Contacts, Notes, Stocks)).
+ Fixed a Bug in the Feature - "Integrate Windows Sidebar Feature", where the Currency and Weather Gadgets Were Not Working.
+ Fixed a Bug in the Feature - "Make a ISO Image", where The ToolKit would Give Access Denied Error When the Source DVD folder was Empty.
+ Fixed a Bug in the Feature - "Copy Source to USB Flash Drive", where The ToolKit would Give Access Denied Error When the Source DVD folder was Empty.
+ Fixed a Bug in the Feature - "Sync Source Boot.wim and Install.wim WIM Images to USB Flash Drive", where The ToolKit would Give Access Denied Error When the Source DVD folder was Empty.
- Removed Clean-up Tool as it comes Built-in with ToolKit.

v1.08
+ Added Update Package KB2959977 to the Feature - "Integrate Windows 8.1 / Server 2012 R2 Update 1".
+ Added MUI Languages support to the Feature - "Integrate Microsoft DaRT Tools".
+ Updated Microsoft DaRT 7/8.1 Tools Pack for MSMG ToolKit with support for (de-DE, fr-FR, ru-RU) Languages.
+ Added MUI Languages support to the Feature - "Integrate Windows To Go Workspace Feature".
+ Updated Windows To Go Workspace Feature Pack for MSMG ToolKit with support for All Available Languages.
+ Fixed ToolKit Semantic Errors.

v1.07
+ Added support for Decrypting Encrypted Windows Store Updated ESD Image Format, while Selecting Source.
+ Updated .NET Framework 3.5 Pack for MSMG ToolKit with .NET Framework 3.5 Language Packs.

v1.06
+ Fixed the ToolKit Bug Where 64-Bit Host OS Architecture Was Wrongly Detected as 32-Bit.

v1.05
+ The ToolKit is Now Renamed as MSMG ToolKit for Windows 7-8.1/Server 2008 R2-2012 R2.
+ The ToolKit Now supports Windows 7 SP1, Windows Thin PC and Windows Server 2008 R2 OS's.
+ The ToolKit Interface is Completely Re-designed with Simplified Menus for Easy Operation.
+ The ToolKit Main Menu Items Consists of :

... Select Source
...	Integrate
...	Remove
...	Customize
...	Apply Source
...	Select Target
	
+ The ToolKit Now Mounts Boot.wim, Intall.wim and WinRE.wim WIM Images While Selecting the Source.
+ The ToolKit Now Shows Complete WIM Information for Selected Source WIM Image While Mounting the Source.
+ The ToolKit Now Detects for Presence of Windows 8.1 Store Updated ESD Image If No WIM Image is Not Found.
+ The ToolKit Now Gives Option to Apply/Discard/Re-Build Source WIM Images. 
+ Added a Feature "Convert Windows 8.1 Store Updated DVD ESD Image to WIM Image".
+ Added a More Better Way to Display List of WIM Images Available to Service.
+ Added Dynamic Menus for ToolKit to Display Menus according the OS Selected.
+ Added Error Handling for Operations like Locking Menus When Source is Selected/Not Applied.
+ Added End User License Agreement (EULA) for MSMG ToolKit.
+ Added Audible Sound Effect at the End of ToolKit's Every Operation.
- Removed the Feature - "Integrate Windows 8.1 / Sever2012 R2 GA Updates".
+ Added a Feature "Integrate Windows 8.1 / Server 2012 R2 Update 1".
+ Added a Feature "Integrate Windows Security Updates & Hot-fixes" (Windows 7/Thin PC/Server 2008 R2 OS).
+ Added a Feature "Integrate Windows Language Packs".
+ Added a Feature "Integrate Windows Device Drivers" (Windows 7/Thin PC/Server 2008 R2 OS).
+ Added a Feature "Integrate Internet Explorer 11 with Enterprise Mode" (Windows 7/Thin PC/Server 2008 R2 Source OS Only).
+ Added a Feature "Integrate Windows Thin PC Add-on Packages" (Windows Thin PC Source OS Only).
+ Added an Option to the Feature - "Integrate Microsoft .NET Framework 3.5 Components" to Backup .NET Framework 3.5 Components Files to <Packs\NetFX35> folder as a Source for Future Integration.
+ Added a Feature Install Microsoft .NET Framework 3.5 Components to Live System.
+ Separated the Features - "Integrate Windows Media Center Add-on" & "Integrate Windows Media Center Generic Activation Tokens Files".
+ Added an Option to the Feature - "Integrate Pre-Activated Tokens for Auto-Activation" to Backup Activated Windows 8.1/Server 2012 R2 Tokens Files from Live Systems to <Packs\PreAct> folder for Future Integration.
+ Fixed a Bug in the Feature - "Integration of Terminal Server Patch", where Terminal Server Patch Registry Settings was wrongly Applied to HKLM\SOFTWARE Instead of HKLM\SYSTEM.
+ Added a Feature "Integrate Microsoft Terminal Server Patch" (Windows 7/Thin PC/Server 2008 R2 OS).
+ Added a Feature "Integrate Microsoft DaRT 7 Tools" (Windows 7/Thin PC/Server 2008 R2 OS).
+ Added a Feature "Integrate Microsoft DaRT 7/8.1 Tools" to Windows Recovery Environment (WinRE) WIM Image.
+ Added the File fmapi.dll to Microsoft DaRT 8.1 Tools Pack to support Total Commander.
+ Added a Feature "Integrate Data Deduplication Feature" (Windows 8.1 64-Bit Source OS Only).
+ Added a Feature "Integrate Microsoft DirectX 9.0c Components".
+ Updated the Windows To Go Feature Components Files (Windows 8.1 Client OS).
+ Updated the Microsoft Windows Vista & Windows 7 Games Pack files.
+ Added a Feature "Integrate Microsoft Vista Games Pack" for (Windows 7 Source OS Only).
+ Added a Feature "Integrate Microsoft Vista & Windows 7 Games Pack" for (Windows ThinPC OS).
+ Added a Feature "Integrate Windows Sidebar Feature" (Windows 8.1 Source OS Only).
- Removed the Advanced Codec Option in the Feature - "Integrate Fraunhofer IIS MPEG Layer-3 Advanced/Professional Codec".
+ Added a Feature "Integrate Fraunhofer IIS MPEG Layer-3 Professional Codec" (Windows 7/Server 2008 R2 OS).
+ Fixed a Bug in the Feature - "Integration of Custom Windows Recovery Environment (WinRE)", where Custom "Winre.wim" was Copied to Wrong Destination folder.
+ Added a Feature "Integrate Custom Windows Recovery Environment (WinRE)" (Windows 7/Server 2008 R2 OS).
+ Added a Feature "Integrate Custom Default User Account Pictures" (Windows 7/Thin PC/Server 2008 R2 OS).
+ Added a Feature "Integrate Custom System Overlay Files" (Windows 7/Thin PC/Server 2008 R2 OS).
+ Updated the Feature - "Remove Default Metro Apps" (Windows 8.1/Server 2012 R2 OS).
+ Added an Option to the Feature - "Remove Default Metro Apps" to Remove Default Metro Windows Store App (Windows Embedded 8.1/Server 2012 R2 OS).
+ Added an Option to the Feature - "Remove Default Metro Apps" to Remove Default (Microsoft Office OneNote, Microsoft OneDrive (SkyDrive) & Photos, Microsoft Windows Camera, Microsoft Windows Store) Metro Apps.
+ Added an Option to the Feature - "Remove Default Metro Apps" to Remove All Default Bing Metro Apps.
+ Added an Option to the Feature - "Remove Default Metro Apps" to Remove All Default Online Metro Apps.
+ Added an Option to the Feature - "Remove Default Metro Apps" to Remove All Default Metro Apps Expect Windows Store App.
+ Fixed a Bug in the Feature - "Make a DVD ISO Image", where UEFI PC Boot Option Was Not Working.
+ Fixed a Bug in the Feature - "Make a DVD ISO Image", where the ISO Image Volume Label was not getting Assigned in UEFI, UEFI_BIOS Mode.
- Removed The UEFI_BIOS PC Boot Option in the Feature - "Make a DVD ISO Image".
+ Added a Feature "Sync Source Boot.wim and Install.wim WIM Images to USB Flash Drive".
+ Replaced PowerShell with 7-zip Extractor in the Feature - "Burn an ISO Image to Bootable USB Flash Drive" to Copy ISO Contents to USB Flash Drive.
+ Fixed the Deletion of Log Files, Now the Log File Gets Deleted When the ToolKit is Quitted.
+ Fixed ToolKit Semantic Errors.
- Removed Redundant Codes.

v1.04
+ Added an Option to Ask Whether to Copy WADK 8.1 Tools to MSMG ToolKit Bin\WADK folder (WADK Portable).
+ Added a Feature "Integrate Microsoft DaRT 8.1 Tools to BOOT.WIM Recovery Option".
+ Added a Feature "Integrate Windows To Go Workspace Feature".
+ Added a Feature "Integrate Custom System Files/folders".
+ Fixed a Bug in ToolKit StartUp Settings, where The ToolKit Was Wrongly Detecting 64-Bit Host OS as 32-Bit OS.
+ Fixed a Bug in Feature - "Integration of .NET Framework 3.5 Components", where Integration of .NET Framework 3.5 Components failed When the ToolKit is Used in Silent Mode.
+ Fixed a Bug in Feature - "Integration of Windows Media Center Add-on", where Setting of WIM Image Flags and Description failed When the Source OS is a Windows 8.1/Server 2012 R2 AIO OS. 
+ Fixed a Bug in Feature - "Integration of Custom Windows Recovery Environment (WinRE)", where Copying of winre.wim failed.
+ Fixed a Bug in Feature - "Export Default Metro Apps Association", where Deletion of existing AppsAssoc.xml File failed.
+ Added a Check to Skip Integration of .NET Framework 3.5 Components, if it's already been Integrated.
+ Added an Option to Select the Source WIM Image Index in the Feature - "Integrate Windows Media Center Add-on Feature".
+ Added a Check to Skip of Integration of Windows Media Center Add-on Feature, if it's already been Integrated. 
- Removed the Deletion of Rest of the WIM Image Indexes in the Feature - "Integrate Windows Media Center Add-on Feature".
+ Added a Check to Skip the Integration of Windows 8.1/Server 2012 GA Rollup Updates, if it's already been Integrated.
+ Added support for Windows 8.1/Server 2012 R2 GA Rollup Updates in CAB Format.
+ Added support for Windows Security Updates/Hot-fixes Updates in CAB Format.
+ Added an Option to Choose Whether Re-Build WIM Image File at Every Feature Process.
* Merged the Menu Item - Integrate Custom Patches with Main Menu Item - Integrate Custom Packs.
> Moved The Start-up Setting Routine to the Beginning of the ToolKit Process.
+ Added a Pre-Clean-up Routine at the Start of ToolKit's Every Operation.
- Removed Redundant Codes.

v1.03
+ Added a New Main Menu Item - Integrate Custom Packs.
> Moved the Main Menu Item - Integrate Custom Patches to Main Menu Item - Integrate Custom Packs.
+ Added a Feature "Integrate Windows Vista & Windows 7 Games Pack".
+ Added a Feature "Integrate Custom Windows Recovery Environment (WinRE.wim)".
+ Added a New Main Menu Item - Remove/Customize Metro Apps.
+ Added a Feature "Remove Default Metro Apps".
+ Added a Feature "Delete Default Metro Apps Association".
+ Added a Feature "Import Default Metro Apps Association from XML File".
+ Added a Feature "Export Default Metro Apps Association to XML File".
+ Added Missing Terminal Server Patch Registry Settings.
+ Updated Clean-up Tool.
+ Added Better Display to Show List of WIM Images Available to Service.
+ Fixed the Bug - "GA/Hot-fixes Updates folder is Empty" when the Host OS is a Non-English OS.

v1.02
+ Added a Feature "Integrate Drivers".
+ Added a Feature "Copy Source to USB Flash Drive".
+ Added a Feature "Burn a ISO Image to USB Flash Drive".
+ Added a Feature "Format a USB Flash Drive".
+ Added a Third Option Boot Type BIOS & UEFI in the Feature Make a DVD ISO Image.
> Moved The Following Menu Items to New Main Menu Item - Make / Burn ISO Image.

... Make a ISO Image
... Burn a ISO Image
... Copy Source to USB Flash Drive
... Burn a ISO Image to USB Flash Drive
... Format a USB Flash Drive

v1.01
+ Added Windows 8.1 RT ARM OS support.
+ Added support to Integrate Windows 8.1 RT GA Rollup Updates.
+ Added a Feature "Integrate Windows Security Updates and Hot-fixes" (x86/x64/ARM).
+ Added Pre-Cleanup Process at Start-up Settings.
+ Added Error Checking & Error Handling for Input/output File/folders.
+ Added Better Display to Show List of WIM Images Available to Service.
+ Added Clean-up Tool v1.0 to Un-Mount Abandoned Mount Points and Clean-up Left Over Log and Temporary files.
- Removed Integration of Flash Player Update Package KB2889543 (Superseded By Update Package KB2898108), From Integrate Windows 8.1 and Server 2012 R2 GA Rollup Updates.
- Removed Redundant Codes.

v1.00 (Initial Release)
+ Added Windows 8.1 and Windows Server 2012 R2 OS support.
+ Added Auto Download & Install of WADK 8.1 (Deployment Tools) If Not Already Installed.
+ Added an Option to Show Verbose or Quiet Output Status.
+ Added a Feature "Integrate .NET Framework 3.5 Components".
+ Added a Feature "Integrate Windows Media Center Add-on Feature".
+ Added a Feature "Integrate Windows 8.1 and Server 2012 R2 GA Rollup Updates" (x86/x64).
+ Added a Feature "Integrate Pre-Activation Details for Auto-Activation".
+ Added a Feature "Integrate Custom Patches".
+ Added a Feature "Make a ISO Image".
+ Added a Feature "Burn a ISO Image".
